//用于显示回复
Handlebars.registerHelper('reply', function(tonickname){
	var return_str='';
	if(tonickname){
		return_str="回复 <span>"+tonickname+"</span>";
	}
   return return_str;
});

mui.init({
				swipeBack: false
		});
		
var shareHref;
var shareThumbs=["_www/assets/images/img2.png"];

var shareTitle="活动分享";
var shareContent="欢迎加入活动";
var longUrl;
var shortUrl;
var myCircle = null,
eventsCircle = null,
categoryData = [],
signupStart=null,
viewApi,
uploading = false,
waiting = false,
//上传图片
imgData = [],
//存放图片变量
images = {
	localId: [],
	serverId: []
},
imageList = [],
cropper, 
editor=null,
memberid;

___E.config.menus = ['head',
    'bold',
    'color',
    'quote',
    'list',
    'img'
    ];
___E.config.uploadTimeout = 60000;
___E.config.uploadImgUrl = BASE_URL + '/imageupload/editorupload.action';

(function($) {
	$.ready(function(){
		
		
		//初始化单页view
		viewApi = $('#app').view({
			defaultPage: '#mainPage'
		});
		var view = viewApi.view;
		view.addEventListener('pageBeforeShow', function(e) {
            if(e.detail.page.id=="form-address"){
            	initMap();
            }
	    });
		view.addEventListener('pageBack', function(e) {
            if(e.detail.page.id=="form-address"){
            	window.removeEventListener("message",windowMessage,false);
            }
	    });
		
		memberid = getMemberid();
		var	id = getQueryString('eventId');
		if(!id){
			 id = localStorage.getItem("eventId");
		}
		shareHref=SHARE_URL+'?redirectUri='+SHARE_REDIRECT_URL+'?page=active_detaild.html:eventId='+id;
		//活动类型
		$.ready(function() {
			$.get(BASE_URL+'/events/categoryList.action',
			{},
			function(response){
				if(response.success){
					for(var i=0;i<response.data.length;i++){
						categoryData.push({text: response.data[i].name,value: response.data[i].id});
					}
				}
			})
			

		});
		
		//第二屏数据
		$.get(BASE_URL+'/events/modify/'+id+'.action',{},
		function(response){
			if(response.success){
				document.getElementById('event-title').innerHTML = response.data.name;
				//第一屏数据
				var summaryTemplate = Handlebars.compile(document.querySelector('#summary-template').innerHTML);
				var html = summaryTemplate(response.data.appEventsSummary);
				document.getElementById("summaryTable").innerHTML = html;
				var circleList = response.data.recommendCircleList;
				if(circleList!=null
					&&circleList.length>0){
					var circleTemplate = Handlebars.compile(document.getElementById('circle-template').innerHTML);
					html = circleTemplate(circleList);
					var circleList = document.getElementById("circleList");
					circleList.classList.add("mui-grid-view");
					circleList.classList.add("input_position");
					circleList.innerHTML = html;
					addCircleTapListener();
				}
					
				signupStart = new Date(response.data.signupSetting.timestart.replace(/-/g,"/"));
				
				//活动内容
				var template = Handlebars.compile(document.querySelector('#itemModify-template').innerHTML);
				var html = template(response.data);
				var div = document.getElementById("modifyForm");
		　　 	div.innerHTML = html;
				
				//报名设置
				template = Handlebars.compile(document.querySelector('#signupSetting-template').innerHTML);
				response.data.signupSetting.signlimit = response.data.appEventsSummary.signuplimit;
				html = template(response.data.signupSetting);
				div = document.getElementById("signupSetting");
				div.innerHTML = html;
				if(response.data.signupSetting.needname==1){
					document.getElementById("neednameCheckbox").setAttribute("checked",true);
					document.getElementById("neednameValue").value = 1;
				}
				if(response.data.signupSetting.needtel==1){
					document.getElementById("needtelCheckbox").setAttribute("checked",true);
					document.getElementById("needtelValue").value = 1;
				}
				if(response.data.signupSetting.timelimit==response.data.edate){
					document.getElementById("signupEndToggle").classList.add("mui-active");
					document.getElementById("sameasenddateValue").value = true;
				}
				//活动详情
				document.getElementById("textarea").value = response.data.content;
				var imgs = [];
				imgs.push(response.data.titlimg);
				for(var i=0;i<response.data.imageList.length;i++){
					imgs.push(response.data.imageList[i].imgurl);
				}
//				showImages(imgs);
				
				//加载我的圈子
				myCircles();
				eventsCircle = response.data.recommendCircleList;
				selectEventsCircle();
				//事件
				recommendToMyCirlceToggle();
				signupEndToggle();
				needCheckbox();
				tapInputEvents();
				
				//查询省市数据
				/*var cityData = getCityData();
				if(cityData) {
					selectCity(cityData);
				}*/
				if(eventsCircle.length>0){
					$(document.getElementById("recommendToMyCirlce")).switch().toggle();
				}
				
				//保存按钮
				document.querySelector("#saveBtn").addEventListener('tap',function(){
					if(!waiting){
						submitModify();
					}
				});
				
				//第四屏数据
				template = Handlebars.compile(document.querySelector('#itemComment-template').innerHTML);
				var html = template(response.data);
				div = document.getElementById("itemComment");
		　　 	div.innerHTML = html;
		
				if(mui.os.wechat) {  //微信
					localStorage.setItem("shareHref",shareHref); 
				}else{
					localStorage.setItem("shareHref",'active_detaild.html?eventId='+id); 
				}
				
				shareContent=response.data.name+"活动";
				shareTitle=response.data.name;
				//为分享到圈子动态做准备
				localStorage.setItem("shareTitle",response.data.name); 
				localStorage.setItem("shareDate",response.data.formatDate); 
				localStorage.setItem("shareCity",response.data.cityname+response.data.address); 
				//分享到好友专用值
				localStorage.setItem("city",response.data.cityname+response.data.address); 
				localStorage.setItem("cdate",response.data.formatDate); 
				shareThumbs = [response.data.titlimg]
				localStorage.setItem("shareLogo",response.data.titlimg); 

				//構造二維碼内容
//			     longUrl=SHARE_URL+'?redirectUri='+BASE_URL+'/assets/html/'+'active_dataild.html'+'?eventId='+id;
				
			}
			
			document.getElementById("active_a").addEventListener('tap', function() {
				openwindow("active_detaild.html");
			});
			
			if(editor==null){
				editor = new ___E('textarea');
				editor.init();
				editor.$txt.on('DOMNodeInserted', function (e) {
					draft.textarea = editor.$txt.html();
				});
			}
			
			$("#titleimgDiv").on("tap","img",function(){
				if($.os.wechat) {
					//选择图片
					chooseImage(1, createWxCropper);
				} else
					$.plusReady(function() {
						plus.gallery.pick(
							function(paths) {
								createCropper(paths);
							}, 
							function(e){
								
							},{
								 filter:"image",
								 multiple:false
							}
						);
		
				});
			});
		});
		
		//第三屏
		var footer = document.querySelector('#footer');
		var list = document.getElementById('signupList');
		list.style.height = (document.getElementById("itemSignup").offsetHeight - footer.offsetHeight) + 'px';
		
		$.get(BASE_URL+'/events/eventSignupList.action',{id: id},
		function(response){
			if(response.success){
				var memberGroup = response.data.group;
				if(memberGroup){
					var signupTemplate = Handlebars.compile(document.getElementById("signupMemberList-template").innerHTML);
					var html = signupTemplate(memberGroup);
					document.getElementById("signupMemberList").innerHTML = html;
					window.indexedList = new $.IndexedList(document.getElementById('signupList'));
				}
			}
		});
		
		//选择图片
		/*document.querySelector('#pickImgBtn').addEventListener("tap", function() {
				if($.os.wechat) {
					//选择图片
					chooseImage(9, setImage_wx);
		
					//上传图片
					//uploadImage();
				} else
					$.plusReady(function() {
						
						plus.gallery.pick(
							function(paths) {
								//images.localId[0] = path;
//								console.log(paths);
								var imgPath = [];
								for(var i=0;i<paths.files.length;i++){
									imgPath.push(paths.files[i]);
								}
								var fileArray = createUploadImg(document.querySelector('#allImg'),imgPath);
								uploading = true;
								createUpload(fileArray,uploadComplate);
							},
							function(e){
								
							},{
								 filter:"image",
								 multiple:true
							}
						);
		
					});
			});*/
			
			//开启报名
			document.getElementById("startSignup").addEventListener("tap", function() {
				var now = new Date();
				if(now.getTime()<signupStart.getTime()){
					$.confirm('是否开启报名？', '开启报名', ['否', '是'], function(e) {
						if (e.index == 1) {
							$.post(BASE_URL + '/events/'+id+'/startSignup.action',{},function(response){
								if(response.success){
									signupStart = now;
									message('已开启报名');
								}else{
									message(response.message);
								}
							});
						}
					},'div')
				}else{
					message('已开启报名');
				}
			});
		if(mui.os.wechat) {  //微信   隱藏分享按鈕
			if(document.getElementById("share_li")){
				document.getElementById("share_li").hidden=true;
			}
		}
		
		document.getElementById("getTitleImgBtn").addEventListener("tap",function(){
			if(mui.os.plus){
				plus.nativeUI.showWaiting("正在截取图片...");
			}
			var base64 = cropper.getCroppedCanvas().toDataURL('image/jpg', 1);
			var titleimgDiv = document.getElementById("titleimgDiv");
			titleimgDiv.classList.remove("mui-hidden");
			viewApi.go("#mainPage"); 
			titleimgDiv.innerHTML = '';
			var img=document.createElement("img"); 
			img.src = base64;
			titleimgDiv.className="uploader_file_status";
			img.setAttribute("id","titleimg");
			//上传进度div
			var status = document.createElement("div");
			status.className = "uploader-file-content";
			status.innerHTML = "0%";
			titleimgDiv.appendChild(status);
			titleimgDiv.appendChild(img);
			if(mui.os.plus){
				plus.nativeUI.closeWaiting();
			}
			uploadTitleImg();
		})
	});//end of ready

})(mui);

//查询我的圈子
function myCircles(){
	//我的圈子
	mui.get(BASE_URL + '/circle/getMyCircle.action', {
		id: memberid,
		page: 1,
		rows: 9999
	},
	function(response){
		if(response.success){
			var template = Handlebars.compile(document.querySelector('#myCircle-template').innerHTML);
			var html = template(response.data);
			document.querySelector('#myCircle').innerHTML = html;
			myCircle = response.data;
			//我的圈子点击事件
			mui("#myCircle").on("tap","li>a",function(){
				var a = this;
				if(a.classList.contains("selectedCircle")){
					deselectCircle(a);
				}else{
					selectCircle(a);
				}
				
			})
			selectEventsCircle();
		}
	});
}

//点击输入事件
function tapInputEvents(){
	mui("li.textInput").each(function(){
		var li = this;
		var id = li.getAttribute("refid");
		li.addEventListener('tap', function() {
			var span = li.querySelector("span.textValue");
			changeText(span,id);
		});
	});
	mui("li.numberInput").each(function(){
		var li = this;
		var id = li.getAttribute("refid");
		li.addEventListener('tap', function() {
			var span = li.querySelector("span.textValue");
			changeNumber(span,id);
		});
	});
	
	mui("li.timeInput").each(function(){
		var li = this;
		var id = li.getAttribute("refid");
		li.addEventListener('tap', function() {
			var span = li.querySelector("span.textValue");
			changeTime(span,id);
		});
	});
	
//	changeCategory();
}

//推荐到我的圈子事件
function recommendToMyCirlceToggle(){
	mui(document.getElementById("recommendToMyCirlce")).switch();
	document.getElementById("recommendToMyCirlce").addEventListener("toggle",function(event){
	  if(event.detail.isActive){
	    document.getElementById("myCircle").classList.remove("mui-hidden");
	  }else{
	    document.getElementById("myCircle").classList.add("mui-hidden");
	  }
	});
}

function signupEndToggle(){
	mui(document.getElementById("signupEndToggle")).switch();
	document.querySelector('#signupEndToggle').addEventListener('toggle', function(event) {
		document.querySelector('#sameasenddateValue').value = event.detail.isActive;
	});
}

function needCheckbox(){
	mui('.mui-checkbox').on('change', 'input', function() {
	    var value = this.checked;
	    var refid = this.getAttribute("refid");
	    document.getElementById(refid).value = value?1:0;
	});
}

//选中推荐到的圈子
function selectEventsCircle(){
	if(myCircle!=null&&eventsCircle!=null){
		mui('#myCircle a').each(function() {
			var a= this;
			var circleid = a.getAttribute("data-id");
			for(var i=0;i<eventsCircle.length;i++){
				if(circleid==eventsCircle[i].id){
					selectCircle(a);
					break;
				}
			}
		});
	}
}

//选中圈子
function selectCircle(a){
	var div = document.createElement("div");
	div.className = "mui-badge";
	div.setAttribute("style","margin-right:-10px; margin-top:-20px ; background-color: #007AFF; padding: 0;");
	div.innerHTML = '<span class="mui-icon mui-icon-checkmarkempty" style="font-size: 1.5em; font-weight: bold; color: #FFFFFF;"></span>';
	a.appendChild(div);
	a.classList.add("selectedCircle");
}

//取消选中圈子
function deselectCircle(a){
	a.removeChild(a.lastChild);
	a.classList.remove("selectedCircle");
}

function changeText(span,id){
	var text = span.innerHTML;
	mui.prompt('请输入修改的内容：', text, '', ['取消', '确定'], function(e) {
		if (e.value !=null&&e.value !="") {
			span.innerHTML = e.value;
			document.getElementById(id).value=e.value;
		}
	},'div');
	var input = document.querySelector('.mui-popup-input input');
	if(input.getAttribute("value")){
		input.setAttribute("value",text);
	}else{
		input.value = text;
	}
	input.select();
}

function changeNumber(span,id){
	var text = span.innerHTML;
	mui.prompt('请输入修改的内容：', text, '', ['取消', '确定'], function(e) {
		if(e.value!=""&&!isNaN(e.value)){
			var value = parseInt(e.value);
			if(value<=0){
				value = 50;
			}
			span.innerHTML = value;
			document.getElementById(id).value=value;
		}
	},'div');
	var input = document.querySelector('.mui-popup-input input');
	if(input.getAttribute("value")){
		input.setAttribute("value",text);
	}else{
		input.value = text;
	}
	input.select();
}

function changeTime(span,id){
	var picker = new mui.DtPicker({});
	picker.show(function(rs) {
		span.innerHTML = rs.text;
		document.getElementById(id).value = rs.text+":00";
		picker.dispose();
	});
}

/*function changeCategory(){
	document.querySelector('#categoryInput').addEventListener('tap', function(event) {
		//级联示例
		var categoryPicker = new mui.PopPicker({
			layer: 1
		});
		categoryPicker.setData(categoryData);
		categoryPicker.show(function(items) {
			document.getElementById("categoryText").innerHTML = items[0].text;
			document.getElementById('categoryidValue').value = items[0].value;

		});
	}, false);
}*/

//查询城市
function selectCity(cityData) {
	document.querySelector('#cityInput').addEventListener('tap', function(event) {
		//级联示例
		var cityPicker = new mui.PopPicker({
			layer: 2
		});
		//console.log(cityData);
		cityPicker.setData(cityData);
		cityPicker.show(function(items) {
			var address = document.getElementById("addressValue").value;
			mui.prompt('请输入详细地址：', address, '', ['取消', '确定'], function(e) {
				if (e.value !=null&&e.value !="") {
					var city = items[1].text;
					document.querySelector('#cityidValue').value = items[1].value;
					document.getElementById("addressValue").value=e.value;
					document.getElementById("addressText").innerHTML=city+'市'+e.value;
				}
			},'div');
			var input = document.querySelector('.mui-popup-input input');
			if(input.getAttribute("value")){
				input.setAttribute("value",address);
			}else{
				input.value = address;
			}
			input.select();
		});
	}, false);
}

function showImages(imgs){
	var allImg = document.querySelector('#allImg');
	for(var i=0;i<imgs.length;i++){
		var img=document.createElement("img"); 
		img.src=imgs[i];
		var div = document.createElement("div"); 
		div.className="ac_img";
		div.appendChild(img);
		allImg.appendChild(div);
	}
}

//显示选中图片
var setImage=function(){
	var allImg = document.querySelector('#allImg');
	allImg.innerHTML = '';
	imgData = [];
	var pickImgBtn = document.querySelector('#pickImgBtn');
	for(var i in images.localId){
		//构建文件
		var image = new Image();
		image.src = images.localId[i];
		
		(function(_img){
			_img.onload = function() {
				imgData.push(getBase64Image(_img,600));
			}
		})(image);
		
		// 页面显示
		var img=document.createElement("img"); 
		img.src=images.localId[i];
		var div = document.createElement("div"); 
		div.className="add_img";
		div.appendChild(img);
//		console.log("div==="+div.outerHTML);
		allImg.appendChild(div);
	}
};

function submitModify(){
	mui.confirm('是否保存修改？', '操作确认', ['否', '是'], function(e) {
		if (e.index == 1) {
			if(mui.os.wechat) {
				showWaiting();
				wxSubmit();
			}else{
				showPlusWaiting();
				appSubmit();
			}
			
		}
	},'div');
}

function showWaiting(){
	viewApi.go("#form-waiting");
	waiting = true;
}

function hideWaiting(){
	viewApi.go("#mainPage");
	waiting = false;
}

function showPlusWaiting(){
	mui.plusReady(function() {
		plus.nativeUI.showWaiting("正在保存数据请稍后...");
	})
	
}
function closePlusWaiting(){
	mui.plusReady(function() {
		plus.nativeUI.closeWaiting();
	})
	
}

function shareCallback(){
	var id = localStorage.getItem("eventId");
		mui.get(BASE_URL + '/events/share.action', {
				eventsid: id
			}, function(data) {
		if(data.success) {
			
		}
	});
}

function addCircleTapListener(){
	mui("#circleList").on('tap','li',function(){
		var id = this.getAttribute("data-id");
		if(id){
			localStorage.setItem("circleId", id);
			openwindow(qianzi_detailTab);
		}
	});
	
	document.getElementById("erweima").addEventListener('tap',function(){
		message("功能尚未开放");
	});
}

function uploadComplate(fileArray){
//	console.log("uploadComplate");
	uploading = false;
	imageList = [];
	for(var i=0;i<fileArray.length;i++){
		imageList.push(fileArray[i].url);
	}
}

var setImage_wx=function(){
	var allImg=document.querySelector('#allImg');
	allImg.innerHTML = '';
	for(var i=0;i<images.localId.length;i++){
		//图片div
		var div = document.createElement("div"); 
		//图片
		var img=document.createElement("img"); 
		img.src = images.localId[i];
		div.className="ac_img";
		var imgid= "img_"+i;//图片id
		div.setAttribute("id",imgid);
		
		div.appendChild(img);
		allImg.appendChild(div);
	}
};

function appSubmit(){
	var formData = new FormData(document.querySelector('#form-main'));
	var memberid = getMemberid();
	formData.append("publisherid",memberid);
	formData.append("content",document.getElementById("textarea").value);
	
	/*formData.append("titlimg",imageList[0]);
	for(var i=1;i<imageList.length;i++){
		formData.append("imageList["+i+"].imgurl",imageList[i]);
		formData.append("imageList["+i+"].valid",1);
	}*/
	
	if(!document.getElementById("myCircle").classList.contains("mui-hidden")){
		var recommend = document.getElementById("recommendToMyCirlce").classList.contains("mui-active");
		if(recommend){
			var selectedCircles = mui("a.selectedCircle");
			for(var i=0;i<selectedCircles.length;i++){
				var circleid = selectedCircles[i].getAttribute("data-id");
				formData.append("circleList["+i+"].circleid",circleid);
			}
		}
	}
	mui.ajax({
		url: BASE_URL + '/events/update.action',
		type: "POST",
		data: formData,
		dataType: 'json', //服务器返回json格式数据
		processData: false, // 告诉jQuery不要去处理发送的数据
		contentType: false, // 告诉jQuery不要去设置Content-Type请求头
		success: function(response) {
			closePlusWaiting();
			if(response.success){
				message('修改成功');
			}else{
				message(response.message);
			}
		},
		error:function(xhr,type,errorThrown){
			closePlusWaiting();
			//异常处理；
			message('保存失败:'+type);
		}
	});
}

function wxSubmit(){
	if(images.localId.length==0){
		
		var formData = new FormData(document.querySelector('#form-main'));
		var memberid = getMemberid();
		formData.append("publisherid",memberid);
		formData.append("content",document.getElementById("textarea").value);
		if(!document.getElementById("myCircle").classList.contains("mui-hidden")){
		var recommend = document.getElementById("recommendToMyCirlce").classList.contains("mui-active");
		if(recommend){
				var selectedCircles = mui("a.selectedCircle");
				for(var i=0;i<selectedCircles.length;i++){
					var circleid = selectedCircles[i].getAttribute("data-id");
					formData.append("circleList["+i+"].circleid",circleid);
				}
			}
		}
		
		mui.ajax({
			url: BASE_URL + '/events/update.action',
			type: "POST",
			data: formData,
			dataType: 'json', //服务器返回json格式数据
			processData: false, // 告诉jQuery不要去处理发送的数据
			contentType: false, // 告诉jQuery不要去设置Content-Type请求头
			success: function(response) {
				if(response.success){
					message('修改成功');
				}else{
					message(response.message);
				}
				setTimeout("hideWaiting()", 2000);
			},
			error:function(xhr,type,errorThrown){
				setTimeout("hideWaiting()", 2000);
				//异常处理；
				message('保存失败:'+type);
			}
		});
	
	}else{
		uploadImage(function(){
		var formData = new FormData(document.querySelector('#form-main'));
		var memberid = getMemberid();
		formData.append("publisherid",memberid);
		formData.append("content",document.getElementById("textarea").value);
		if(!document.getElementById("myCircle").classList.contains("mui-hidden")){
		var recommend = document.getElementById("recommendToMyCirlce").classList.contains("mui-active");
		if(recommend){
				var selectedCircles = mui("a.selectedCircle");
				for(var i=0;i<selectedCircles.length;i++){
					var circleid = selectedCircles[i].getAttribute("data-id");
					formData.append("circleList["+i+"].circleid",circleid);
				}
			}
		}
		
		formData.append("media_ids",images.serverId);
		
		mui.ajax({
			url: BASE_URL + '/events/update.action',
			type: "POST",
			data: formData,
			dataType: 'json', //服务器返回json格式数据
			processData: false, // 告诉jQuery不要去处理发送的数据
			contentType: false, // 告诉jQuery不要去设置Content-Type请求头
			success: function(response) {
				hideWaiting();
				if(response.success){
					message('修改成功');
				}else{
					message(response.message);
				}
			},
			error:function(xhr,type,errorThrown){
				hideWaiting();
				//异常处理；
				message('保存失败:'+type);
			}
		});
	});
	}
	
}

function initMap(){
	document.getElementById("test").src = "https://m.amap.com/picker/?key=f6a9e0fbcdaf0f2f80119971b9009226&center="+document.getElementById("coordinateValue").value;
	var iframe = document.getElementById('test').contentWindow;
	var w = window;
    document.getElementById('test').onload = function(){
    	console.log('loaded');
        iframe.postMessage('hello','https://m.amap.com/picker/');
    };
    window.addEventListener("message", windowMessage, false);
}

var windowMessage =function (e){
	console.log(e);
	if(e.data.name!=undefined){
		document.getElementById("addressValue").value = e.data.name;
		document.getElementById("addressText").innerHTML = e.data.name;
		document.getElementById("coordinateValue").value = e.data.location;
//  	localStorage.setItem("addressName",e.data.name);
//  	localStorage.setItem("addressLoc",e.data.location);
    	console.log('您选择了:' + e.data.name + ',' + e.data.location);
    	regeocoder(e.data.location);
	}
}

function regeocoder(lnglatXY) {  //逆地理编码
    var geocoder = new AMap.Geocoder({
        radius: 1000,
        extensions: "all"
    });        
    geocoder.getAddress(lnglatXY, function(status, result) {
        if (status === 'complete' && result.info === 'OK') {
            geocoder_CallBack(result);
        }
    });        
}
   
function geocoder_CallBack(data) {
	console.log(data.regeocode.addressComponent.city);
	var cityinfo = data.regeocode.addressComponent.city;
	var city = cityinfo.replace("市","");
//  localStorage.setItem("addressCity",city);
	document.getElementById("citynameValue").value = city;
    viewApi.go("#mainPage");
}

function createWxCropper(){
//	message("微信版不支持图片剪裁,请下载app版使用");
	wx.uploadImage({
			localId: images.localId[0],
			isShowProgressTips: 1,
			success: function(res) {
				mui.get(BASE_URL + '/imageupload/fetchWxImg.action',{serverId: res.serverId},function(response){
					createCropper(response.data);
				},'json');
			},
			fail: function(res) {
				alert(JSON.stringify(res));
			}
		});
}

function createCropper(url){
	viewApi.go("#form-titlimg");
	document.getElementById("image").src = url;
//	console.log(url);
	var image = document.getElementById('image');

	if(mui.os.wechat){
		width = document.body.clientWidth
	}else{
	   width = plus.screen.resolutionWidth*plus.screen.scale;
	}
//						console.log(width); 
	if(!cropper){
		cropper = new Cropper(image, {
		   aspectRatio: 42 / 20,
		   minCropBoxWidth: width 
		});
	}else{
		cropper.replace(url); 
	}
}

function uploadTitleImg(){
	
	var fd = new FormData();  
    fd.append("image",convertBase64UrlToBlob(document.getElementById("titleimg").src));   
  
    var xhr = new XMLHttpRequest();  
    xhr.onreadystatechange = function(){  
        if(xhr.readyState==4 && xhr.status==200){  
            var response = JSON.parse(xhr.responseText);
//          console.log(response.data);;
            document.getElementById("titlimg").value = response.data;
            var imgDiv = document.getElementById("titleimgDiv");
			imgDiv.querySelector("div.uploader-file-content").style.display = "none";
 			imgDiv.classList.remove("uploader_file_status");
        	uploadingTitle = false;
        }
    }  
  
    //侦查当前附件上传情况  
    xhr.upload.onprogress = function(evt){  
        var loaded = evt.loaded;
        var tot = evt.total;  
        var percent = Math.floor(100*loaded/tot);  //已经上传的百分比  
        /*var son =  document.getElementById('son');  
        son.innerHTML = per+"%";  
        son.style.width=per+"%"; */ 
//     console.log(per+"%");
       if(percent==100){
			document.getElementById("titleimgDiv")
				.querySelector("div.uploader-file-content")
				.innerHTML="服务器处理中"; 
		}else{
			document.getElementById("titleimgDiv")
				.querySelector("div.uploader-file-content")
				.innerHTML="上传 "+percent+"%";
		}
    }  
  
    xhr.open("post",BASE_URL + '/imageupload/upload.action');  
    xhr.send(fd);
    uploadingTitle = true;
} 