mui.init();
mui.ready(function() {
	addListener();
	var backButtonPress = 0;
	mui.back = function(event) {
		if (mui.os.plus) {
			backButtonPress++;
			if (backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				// 清除好友记录
				plus.storage.removeItem("roster");
				plus.nativeUI.toast('再按一次退出应用');
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		}
	}
});

mui.plusReady(function(){
	
});

function addListener(){
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("sendCode").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确!");
            return;
        }
		
		//短信发送倒计时
		settime(this);
		mui.get(BASE_URL+'/members/sendCode.action', {
			tel: tel
		}, function(data) {
			if(data.success) {
				message("短信发送成功！请于1分钟内完成验证！");
			}else{
				message(data.message);
			}
		});
	}, false);
	
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("registe").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		var authCode = document.getElementById("authCode").value;
		var password = document.getElementById("password").value;
		var password_confim = document.getElementById("password_confim").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确！");
            return;
        }
		// 验证码非空校验
		if (!isNotEmpty(authCode)){
			message('请输入验证码！');
			return;
		}
		// 密码非空校验
		if (!isNotEmpty(password)){
			message('密码不能为空');
			return;
		}
		// 密码最小长度校验
		/*if (!minLengthValidate(password,12)){
			message('输入密码长度不能低于12位！');
			return;
		}*/
		// 密码重复校验
		if (password_confim != password) {
			message('密码两次输入不一致');
			return;
		}
		var memberid = getMemberid();
		
		mui.post(BASE_URL+'/members/band.action', {
			id:memberid,
			tel: tel,
			authCode:authCode,
			password:password
		}, function(data) {
			if(data.success) {
				localStorage.setItem("memberInfo", JSON.stringify(data.data));
				var autoLogin = document.getElementById("autoLogin").classList.contains("mui-active");
				//console.log("autoLogin============"+autoLogin);
				if(autoLogin){
					var current = new Date().FormatSimple(true);
					memberInfo_json = {
						tel:tel,
						password:data.data.password,
						lastLogin:current
					};
					localStorage.setItem("memberTocken",JSON.stringify(memberInfo_json));
					
				}
				console.log("get  member==="+localStorage.getItem("memberTocken"));
				//console.log("memberInfo_json.tel===="+memberInfo_json.tel);
				//console.log("memberInfo_json.password===="+memberInfo_json.password);
				//console.log("memberInfo_json.lastLogin===="+memberInfo_json.lastLogin);
				message("用户绑定成功！");
				if(mui.os.weichat){
					console.log("openwindow跳转")
//					openwindow(quanzi_homeTab);
				}else{
					console.log("webview跳转")
						var currView = plus.webview.currentWebview();
					plus.webview.getWebviewById("quanzi_home.html").show("slide-in-right",400,function(){
						
					plus.webview.getWebviewById("quanzi_home.html").evalJS("renaderNavigation(1)");
					currView.hide();
					});
					
				
				}
			}else{
				message(data.message);
			}
		});
	}, false);
}

/**
 * 短信发送按钮倒计时
 */
var countdown_sms = 60; 
function settime(button) { 
	if (countdown_sms == 0) { 
		button.classList.remove("mui-disabled");
		button.innerHTML = '获取验证码';
		countdown_sms = 60; 
		return;
	} else { 
		button.classList.add("mui-disabled");
		button.innerHTML = '重发(' + countdown_sms + ')';
		countdown_sms--; 
		
		setTimeout(function() { 
			settime(button) 
		},1000) 
	} 
} 