renaderNavigation(3);
mui.init();
/**
 * 环信连接
 */
var conn;
(function($) {
$.ready(function(){
	//添加事件
	addListener();
	Array.prototype.contains = function (obj) {  
	    var i = this.length;  
	    while (i--) {  
	        if (this[i] === obj) {  
	            return true;  
	        }  
	    }  
	    return false;  
	}
	var header = document.querySelector('header.mui-bar');
	var footer = document.querySelector('#navigation');
	var list = document.getElementById('contactsIndexedList');
	//calc hieght
	list.style.height = (document.body.offsetHeight - header.offsetHeight - footer.offsetHeight) + 'px';
//	//create
//	window.indexedList = new $.IndexedList(list);
	//定义返回地址
	overWriteBack("xiaoxi.html","",true);
	if (mui.os.plus) {
		/**
		 * 获取好友（包括可添加好友）列表
		 */
		var memberid = getMemberid();
		$.get(BASE_URL+'/friends/getall.action',{memberid1: memberid},
			function(response){
				if(response.success){
					var data = response.data;
					var friend_array = [];
					var friend_tel_array = [];
					for(i=0;i<data.length;i++){
						var friend = data[i];
						var friend_emid = friend.friendEmid;
						var friend_tel = friend.friendTel;
						var friend_headimg = friend.headimg;
						if(isMobile(friend_emid)){
							var friend_json = {};
							friend_json.tel = friend_emid;
							friend_json.headimg = friend_headimg;
							friend_array.push(friend_json);
							friend_tel_array.push(friend_emid);
						}
						if(isMobile(friend_tel)){
							var friend_json = {};
							friend_json.tel = friend_tel;
							friend_json.headimg = friend_headimg;
							friend_array.push(friend_json);
							friend_tel_array.push(friend_tel);
						}
					}
					
					/**
					 * 获取手机通讯录
					 */
					plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function (addressbook) {
						addressbook.find(["displayName","phoneNumbers"],function(contacts){
							/**
							 * 过滤无效手机联系人、
							 * 联系人拼音转换、
							 * 获取适当手机号
							 */
							var AVATAR_DEFAULT = '../images/persiondefault.png';
							var contact_array = [];
							for(i=0;i<contacts.length;i++){
								var contact = contacts[i];
								var displayName = contact.displayName;
								var phoneNumbers = contact.phoneNumbers;
								
								if(displayName && phoneNumbers.length>0){
									var contact_json = {};
									contact_json.displayName = displayName;
									contact_json.headImg = AVATAR_DEFAULT;
									contact_json.action = 2;
									contact_json.phoneNumbers = [];
									
									for(j=0;j<phoneNumbers.length;j++){
										var phoneNumber = phoneNumbers[j].value;
										if(phoneNumber){
											phoneNumber = phoneNumber.replace(new RegExp(' ','gm'),'');
											phoneNumber = phoneNumber.replace(new RegExp('-','gm'),'');
											phoneNumber = phoneNumber.replace('+86','');
											
											if(isMobile(phoneNumber)){
												if(!contact_json.mobile){
													contact_json.mobile = phoneNumber;
												}
												if(friend_tel_array.contains(phoneNumber)){
													contact_json.mobile = phoneNumber;
													contact_json.action = 3;
													for(k=0;k<friend_array.length;k++){
														var friend_json = friend_array[k];
														if(friend_json.tel == phoneNumber){
															contact_json.headImg = friend_json.headimg;
															break;
														}
													}
													
												}
												contact_json.phoneNumbers.push(phoneNumber);
											}
										}
									}
									if(contact_json.phoneNumbers.length>0){
										var fullChars = pinyin.getFullChars(displayName);	//拼音全拼
										var camelChars = pinyin.getCamelChars(displayName);	//拼音首字母
										var tag = camelChars.substring(0,1);	//分组 
										
										contact_json.tag = tag;
										contact_json.camelChars = camelChars;
										contact_json.fullChars = fullChars;
										contact_array.push(contact_json);
									}
								}
							}
//							console.info(JSON.stringify(contact_array));
							/**
							 * 排序
							 */
							contact_array.sort(function(a,b){
            					return a.fullChars < b.fullChars ? -1 : 1;;
							});
//							console.info(JSON.stringify(contact_array));
							/**
							 * 组织联系人数据结构
							 */
							var group_array = {};
							group_array.groups = [];
							var group = {};
							var tag_before = '';
							for(i=0;i<contact_array.length;i++){
								var contact_json = contact_array[i];
								var tag = contact_json.tag;
								
								if(tag!=tag_before){
									group = {};
									group.tag = tag;
									group.contacts = [];
									
									group_array.groups.push(group);
								}
								
								group.contacts.push(contact_json);
								
								tag_before = tag;
							}
//							console.info("group_array="+JSON.stringify(group_array));
							var contactList_html = template("contactList-template", group_array);
							document.getElementById("contactList").innerHTML = contactList_html;
							
							//calc hieght
							list.style.height = (document.body.offsetHeight - header.offsetHeight - footer.offsetHeight) + 'px';
							//create
							window.indexedList = new $.IndexedList(list);
						}, function () {
							alert("error");
						},{multiple:true});
					},function(e){
						alert("Get address book failed: " + e.message);
					});
					
				}
			}
		);
	}
	
});//end of ready
/**
 * 添加事件
 */
function addListener(){
	/**
	 * 页面显示事件
	 */
	document.body.onpageshow = function(){
		//环信初始化
		conn = easemobLogin();
	}
	/**
	 * 添加按钮点击事件
	 */
	$("#contactList").on('tap','div.txl_yq',function(event) {
		var div = this;
		var mobile = div.getAttribute("data-mobile");
		
		var btnArray = ['否', '是'];
		mui.confirm('系统将免费为您发送邀请短信（或添加好友邀请），是否确认发送？', '发送确认', btnArray, function(e) {
			if(e.index == 1) {
				//根据emid查询用户信息
				mui.get(BASE_URL+'/members/sendinvitedmessage.action', {
					tel : mobile
				}, 
				function(data) {
					if(data.success) {
						var emid = data.data.emid;
						var nickname = getMember().nickname;
						if(emid){
							if(!conn)
								return;
							
							var user_to = emid;
							conn.subscribe({
								to : user_to,
								message : nickname
							});
							mui.toast('添加好友邀请发送成功！');
						}else{
							mui.toast('邀请短信发送成功！');
						}
						div.classList.remove("txl_yq");
						div.classList.add("txl_add");
						div.innerHTML = '已发送';
					}else{
						mui.toast(data.message);
					}
				});
			}
		},'div')
		
	}, false);
}
})(mui);