mui.init();
mui.ready(function() {
	addListener();
});

function addListener(){
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("sendCode").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确!");
            return;
        }
		
		//短信发送倒计时
		settime(this);
		mui.get(BASE_URL+'/members/sendCode.action', {
			tel: tel
		}, function(data) {
			if(data.success) {
				message("短信发送成功！请于1分钟内完成验证！");
			}else{
				message(data.message);
			}
		});
	}, false);
	
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("sub").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		var authCode = document.getElementById("authCode").value;
		var password = document.getElementById("password").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确！");
            return;
        }
		// 验证码非空校验
		if (!isNotEmpty(authCode)){
			message('请输入验证码！');
			return;
		}
		// 密码非空校验
		if (!isNotEmpty(password)){
			message('密码不能为空！');
			return;
		}
		/*// 密码最小长度校验
		if (!minLengthValidate(password,12)){
			message('输入密码长度不能低于12位！');
			return;
		}*/
		
		mui.post(BASE_URL+'/members/resetpw.action', {
			tel: tel,
			authCode:authCode,
			password:password
		}, function(data) {
			if(data.success) {
				message("找回密码成功，请重新登陆！");
				openwindow("login.html");
			}else{
				message(data.message);
			}
		});
	}, false);
}

/**
 * 短信发送按钮倒计时
 */
var countdown_sms = 60; 
function settime(button) { 
	var button = $(button);
	if (countdown_sms == 0) { 
		button.removeClass("mui-disabled");    
		button.html ('获取验证码'); 
		countdown_sms = 60; 
		return;
	} else { 
		button.addClass("mui-disabled");
		button.html('重新发送(' + countdown_sms + ')'); 
		countdown_sms--; 
		
		setTimeout(function() { 
			settime(button) 
		},1000) 
	} 
} 