mui.init();
mui.ready(function() {
	addListener();
});

function addListener(){
	//登录点击事件
	document.getElementById("login").addEventListener('tap', function(event) {
		var userName = document.getElementById("userName").value;
		var userPassword = document.getElementById("userPassword").value;
		var autoLogin = document.getElementById("autoLogin").classList.contains("mui-active");
		if(!isNotEmpty(userName) || !isNotEmpty(userPassword)){
			message("请输入用户名、密码后再登录！","系统提示");
			return;
		}
		
		mui.post(BASE_URL+'/login/applogin.action', {
			tel: userName,
			password:userPassword,
			isAuto:false
		}, function(data) {
			if(data.success) {
				if(autoLogin){
					var current = new Date().FormatSimple(true);
					var password_encrypt = data.data.password;
					memberInfo_json = {
						token: data.data.remark,
						lastLogin:current
					};
					localStorage.setItem("memberTocken",JSON.stringify(memberInfo_json));
					
				}else{
					localStorage.removeItem("memberTocken");
				}
				
				localStorage.setItem("memberInfo",JSON.stringify(data.data));
				//环信登录
				if(mui.os.plus){
					var styles={};
						// 在Android5以上设备，如果默认没有开启硬件加速，则强制设置开启
					if(!plus.webview.defaultHardwareAccelerated()&&parseInt(plus.os.version)>=5){
						styles.hardwareAccelerated=true;
					}
					plus.webview.getWebviewById('xiaoxi.html').reload(true);
					var shaixuan = plus.webview.getWebviewById('active_shaixuan.html');
					
					if(shaixuan!=null){
						console.log("重新加载shaixuan")
						shaixuan.loadURL('active_shaixuan.html');
					}else{
						console.log("创建shaixuan")
						plus.webview.create("_www/assets/html/active_shaixuan.html", "active_shaixuan.html",styles);
					}
					var xiaoxi = plus.webview.getWebviewById('xiaoxi.html');
					if(xiaoxi!=null){
						xiaoxi.loadURL("xiaoxi.html");
					}else{
						plus.webview.create("_www/assets/html/xiaoxi.html", "xiaoxi.html",styles);
					}
					var personhome = plus.webview.getWebviewById('person_home.html');
					if(personhome!=null){
						personhome.loadURL("person_home.html");
					}else{
						plus.webview.create("_www/assets/html/person_home.html", "person_home.html",styles);
					}
					var currView = plus.webview.currentWebview();
					var webviewContent = plus.webview.getWebviewById('quanzi_home.html');
					if(webviewContent!=null){
						webviewContent.addEventListener("loaded", function() { //注册新webview的载入完成事件
					        currView.hide();
					        webviewContent.show("pop-in",200); //把新webview窗体显示出来，显示动画效果为速度200毫秒的右侧移入动画
					    }, false);
						webviewContent.loadURL("quanzi_home.html");
					}else{
						webviewContent= plus.webview.create("_www/assets/html/quanzi_home.html", "quanzi_home.html",styles);//后台创建webview并打开show.html
						webviewContent.addEventListener("loaded", function() { //注册新webview的载入完成事件
					        currView.hide();
					        webviewContent.show("pop-in",200); //把新webview窗体显示出来，显示动画效果为速度200毫秒的右侧移入动画
					    }, false);
					}
				}else{
					openwindow(quanzi_homeTab);
				}
//				easemobLogin();
				
				
			}else{
				message(data.message);
			}
		});
		
	}, false);
}