mui.init();
mui.ready(function() {
	addListener();
	
	var member=getMember();
    if(member.tel!=null){
    	 document.getElementById("tel").setAttribute("value",member.tel);
    }

});

mui.plusReady(function(){
    plus.key.addEventListener('backbutton', function(){
        plus.webview.currentWebview().opener().show();
    }, false);
});

function addListener(){
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("sendCode").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确!");
            return;
        }
		
		//短信发送倒计时
		settime(this);
		mui.get(BASE_URL+'/members/sendCode.action', {
			tel: tel
		}, function(data) {
			if(data.success) {
				message("短信发送成功！请于1分钟内完成验证！");
			}else{
				message(data.message);
			}
		});
	}, false);
	
	/**
	 * 获取验证码点击事件
	 */
	document.getElementById("registe").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		var authCode = document.getElementById("authCode").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确！");
            return;
        }
		// 验证码非空校验
		if (!isNotEmpty(authCode)){
			message('请输入验证码！');
			return;
		}
		// 密码最小长度校验
		/*if (!minLengthValidate(password,12)){
			message('输入密码长度不能低于12位！');
			return;
		}*/

		
		var memberid=getMemberid();
		mui.post(BASE_URL+'/members/updateTell.action', {
			id:memberid,
			tel: tel,
			authCode:authCode
		}, function(data) {
			if(data.success) {
				message("绑定成功！");
				var data=getMember();
				data["tel"]=tel;
				localStorage.setItem("memberInfo", JSON.stringify(data));
				setCookie("memberInfo", JSON.stringify(data), 1);
				openwindow("gerenziliao.html");
			}else{
				message(data.message);
			}
		});
	}, false);
}

/**
 * 短信发送按钮倒计时
 */
var countdown_sms = 60; 
function settime(button) { 
	if (countdown_sms == 0) { 
		button.classList.remove("mui-disabled");
		button.innerHTML = '获取验证码';
		countdown_sms = 60; 
		return;
	} else { 
		button.classList.add("mui-disabled");
		button.innerHTML = '重发(' + countdown_sms + ')';
		countdown_sms--; 
		
		setTimeout(function() { 
			settime(button) 
		},1000) 
	} 
} 