mui.init({
  pullRefresh : {
    container: '#pullrefresh',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:false,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback : function(){//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
//    	console.log('划动了');
      	loadEventsList(1,this);
      }
    }
  }
});

var page = 1;
var rows = 5;
var memberInfo_id;
var	token;
var circleid;
mui.ready(function() {
	memberid = getMemberid();
	member = getMember();
	memberInfo_id = getQueryString('memberInfo_id');
	if(!memberInfo_id){
		memberInfo_id=localStorage.getItem("memberInfo_id"); 
	}
	token = getQueryString('token');
	
	getDynamic();
	
	if(token){
		userLogin(getMemberInfo);
	}else{
		getMemberInfo();
	}
	
	//绑定点赞事件
	bandZanClick();
	//绑定评论
	bandPl();
	bandShowmore();
	//绑定评论回复
	bandPlReply();
	banInputChange();
	bandDeleteClick();
	bandButtonClick();
	mui.previewImage(); 
	bandMemberImgClick();
	
	 
	mui("#dynamics-ul").on("tap","div.shareurl",function(){
		var url = this.getAttribute("data-url");
		openwindow(url);
	});
	//绑定下拉事件
	//pullToRefresh(mui, nextPage);
});

var nextPage=function(){
	page++;
	getDynamic();
};

var conn = easemobLogin();
function bandAddFriend(emid){
	/**
	 * 添加好友点击事件
	 */
	document.getElementById("add_friend_div").addEventListener('tap', function(event) {
		if(!conn)
			return;
		var nickname = getMember().nickname;
		console.info(emid);
		
		var user_to = emid;
		conn.subscribe({
			to : user_to,
			message : nickname
		});
		
		document.getElementById("add_friend_div").innerHTML='等待审核';
		mui.toast('添加好友邀请发送成功！');
	}, false);
	
}

function getMemberInfo(){
	 
	mui.get(BASE_URL + '/members/getMemberInfo.action', {id:memberInfo_id}, function(data) {
		if(data.success) {
			var memberInfoTemplate = Handlebars.compile(document.querySelector('#member-template').innerHTML);
			document.querySelector('#memberInfo').innerHTML += memberInfoTemplate(data.data);
			var emid=data.data.emid;
			isShowAddFriendButton();
			bandAddFriend(emid);
			//bandMyClick();
			getMemberPass();
		}
	});
}

/*function bandMyClick(){
	mui('#memberInfo').on('tap','img', function() {
		
		var memberInfo_id=this.getAttribute('memberid_info');
		//console.log("memberInfo_id==="+this.innerHTML);
		localStorage.setItem("memberInfo_id",memberInfo_id); 
		openwindow(my_detailTab);
	})
	
}
*/
/**
 * 动态判断是否显示通过审核按钮
 */
function getMemberPass(){
		var ismanage=localStorage.getItem("ismanage");
	
		if(ismanage){
				//查询用户在圈内是否审核
				circleid=localStorage.getItem("circleId");
					mui.get(BASE_URL + '/members/getMembersIspass.action', {
						memberid:memberInfo_id,
						circleid:circleid
						
					}, function(data) {
					if(data.success) {
							var passcount=data.data;
							if(passcount==0){  //未通过 审核
								//console.log("======"+passcount);
								//<span class="tguo_no">不通过</span> <span class="tguo">通过</span>.
								var span1=document.createElement("span");
								span1.id="span1";
								span1.className="tguo_no";
								span1.innerHTML="不通过";
							
								
								var span2=document.createElement("span");
								span2.id="span2";
								span2.className="tguo";
								span2.innerHTML="通过";
							
								
								document.getElementById("ispass").appendChild(span1);
								document.getElementById("ispass").appendChild(span2);
								
								
								document.getElementById("span1").addEventListener('tap',function(){
								
									audit(0);
								});
									document.getElementById("span2").addEventListener('tap',function(){
									
									audit(1);
								});
							}
						
						
					}
				});
			
			
			localStorage.removeItem("ismamage");
		}
	
	
}

/**
 * 审核成员  0-拒绝  1-通过
 * @param {Object} opt
 */
function audit(opt){
	
			mui.post(BASE_URL + '/circle/auditMember.action', {
				opt:opt,
				memberid:memberInfo_id,
				circleid:circleid
			}, function(data) {
				if(data.success) {   
			
					message('审核完成！');
					document.getElementById("ispass").removeChild(document.getElementById("span1"));
					document.getElementById("ispass").removeChild(document.getElementById("span2"));
						/*	document.getElementById("span1").parentNode.remove(document.getElementById("span1"));
					document.getElementById("span2").parentNode.remove(document.getElementById("span2"));*/
				}
			});
}


/**
 * 控制添加好友按鈕是否显示
 */
function isShowAddFriendButton(){
	if(isLogin()){
		if(memberid!=memberInfo_id){
			mui.get(BASE_URL + '/friends/getone.action', {
				memberid1:memberid,
				memberid2:memberInfo_id
			}, function(data) {
				if(!data.data) {   //不是好友   显示好友按钮
				//	console.log('document.getElementById("add_friend_div")==='+document.getElementById("add_friend_div"));
					document.getElementById("add_friend_div").style.display='';
					
				}
			});
		
		}
		
	}
}


//获取个人动态
function getDynamic() {
	mui.get(BASE_URL+'/dynamics/getDynamicsByMemberid.action', {
		memberid: memberInfo_id,
		page: page,
		rows: rows
	}, function(data) {
		if(data.success) {
			totalPages = data.data.totalPages;
			var dynamicsList = data.data.resultList;
			var dynamicsTemplate = Handlebars.compile(document.querySelector('#dynamics-template').innerHTML);
			if(page==1){
				document.querySelector('#dynamics-ul').innerHTML = dynamicsTemplate(dynamicsList);
				if(dynamicsList.length==0){
				document.querySelector('#dynamics-ul').innerHTML='<p align="center" style="margin-top:20px" id="none" >没有更多数据了</p>';
				}
			}else{
				document.querySelector('#dynamics-ul').innerHTML += dynamicsTemplate(dynamicsList);
				
			}
			
			
			//用户登录后 绑定事件
			if(isLogin()){
				//循环设置点赞列表 设置点赞按钮样式
				for(var i = 0 in dynamicsList) {
					var dynamics = dynamicsList[i];
					eachZanList(dynamics.id, dynamics.zanList);
					
				}
				
			}
			if(mui.os.plus){
				mui.plusReady(function(){
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
				})
			}else{
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
			}
			 
			var lazy = jQuery("img.lazy").lazyload({effect: "fadeIn", threshold: 200,loaded_success:function($img){
				$img.removeClass("lazy");
			}});
			lazy.trigger("appear");
			//mui('#dynamicsContent').pullRefresh().endPullupToRefresh((++page > totalPages)); //参数为true代表没有更多数据了。
		}
	});
}


function loadEventsList(row,scroller) {
	getDynamic();
}



