mui.init({
 pullRefresh : {
    container: '#pullrefresh',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:false,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback : function(){//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
//    	console.log('划动了');
      	loadEventsList(1,this);
      }
    }
  }
});

var page = 1;
var rows = 5;
var totalPages = 0;

var memberid;
var member;
mui.ready(function() {
	mui.previewImage();
	memberid = getMemberid();
	member = getMember();
	getMemberInfo();
	getDynamics(memberid, true);
	//绑定点赞事件
	bandZanClick();
	//绑定评论
	bandPl();
	bandShowmore();
	//绑定评论回复
	bandPlReply();
	banInputChange();
	bandButtonClick();
	bandDeleteClick();
	//绑定下拉事件
	//pullToRefresh(mui, nextPage);
	mui("#dynamics-ul").on("tap","div.shareurl",function(){
		var url = this.getAttribute("data-url");
		openwindow(url);
	});
});

/*var nextPage=function(){
	page++;
	getDynamics(memberid, false);
};*/


function loadEventsList(row,scroller) {
	 getDynamics(memberid, false);
 }


function getMemberInfo(){
	 
	mui.get(BASE_URL + '/members/getMemberInfo.action', {id:memberid}, function(data) {
		if(data.success) {
			var memberInfoTemplate = Handlebars.compile(document.querySelector('#member-template').innerHTML);
			document.querySelector('#memberInfo').innerHTML += memberInfoTemplate(data.data);
		}
	});
}


//获取动态

function getDynamics(memberid, reset) {
	//var beginNum=(page-1)*rows;

	var params = {};
	params.memberid = memberid;
	params.page = page;
	params.rows = rows;
	mui.get(BASE_URL + '/dynamics/getMyDynamics.action', params, function(data) {
		if(data.data.resultList) {
			var dynamicsTemplate = Handlebars.compile(document.querySelector('#dynamics-template').innerHTML);
			var dynamicsList = data.data.resultList;
			var divHtml = dynamicsTemplate(dynamicsList);
			totalPages = data.data.totalPages;
			var scroller = document.querySelector('#dynamics-ul');
			if(reset) {
				scroller.innerHTML = divHtml;
				if(dynamicsList.length==0){
				document.querySelector('#dynamics-ul').innerHTML='<p align="center" style="margin-top:20px" id="none" >没有更多数据了</p>';
				}
			} else {
				scroller.innerHTML += divHtml;
			}
			
			page++;
			//循环设置点赞列表 设置点赞按钮样式
			for(var i = 0 in dynamicsList) {
				var dynamics = dynamicsList[i];
				eachZanList(dynamics.id, dynamics.zanList);
				
			}
			
			var lazy = jQuery("img.lazy").lazyload({effect: "fadeIn", threshold: 200,loaded_success:function($img){
				$img.removeClass("lazy");
			}});
			lazy.trigger("appear");
		}
	});
}



//用于显示回复
Handlebars.registerHelper('reply', function(tonickname){
	var return_str='';
	if(tonickname){
		return_str="回复 <span>"+tonickname+"</span>";
	}
   return return_str;
});

