mui.init();
if(mui.os.wechat) {
	wx.ready(function() {
		initPage();
	});
} else {

	initPage();

}
var memberid;
//存放图片变量
var images = {
	localId: [],
	serverId: []
};
function initPage() {

	mui.ready(function() {
		memberid= getMemberid();
		
		banTouxiangClick();
		banCommitClick();

		getCircleCategory();
		
		//查询省市数据
		var cityData = getCityData();
		if(cityData) {
			selectCity(cityData);
		}
		
		switchChange();
	});
	
	

}

//绑定头像点击事件
function banTouxiangClick() {

	document.querySelector('.touxiang').addEventListener("tap", function() {

		if(mui.os.wechat) {
			//选择图片
			chooseImage(1, setTouxiang_wx);

			//上传图片
			//uploadImage();
		} else
			mui.plusReady(function() {

				plus.gallery.pick(function(path) {
					images.localId[0] = path;
					setTouxiang();
					//alert(path);
				});

			});

	})

}
//绑定提交事件
function banCommitClick() {

	document.querySelector('#commitButton').addEventListener("tap", function() {
		
		if(mui.os.wechat) {
		//	alert('进入微信提交');
			createCircle_wx();
		}else{
			createCircle();
		}
		

	});

}

var imgData;
var extendFileName;

var setTouxiang_wx = function() {
	
	document.querySelector('#touxiangImg').src = images.localId[0];
	
};



var setTouxiang = function() {

	document.querySelector('#touxiangImg').src = images.localId[0];
	var image = new Image();
	image.src = images.localId[0];
	image.onload = function() {
		imgData = getBase64Image(image,true);
		extendFileName = images.localId[0].split(".")[1];
		//console.log(extendFileName);
	}

};

//创建圈子
var waiting = false;
function createCircle() {
	if(!waiting){
	
		document.querySelector('#chargeid').value = memberid;
		var formData = new FormData(document.querySelector('#dtoForm'));
		
		if(!imgData) {
			message("请上传圈子头像");
			return;
		}else{
			showPlusWaiting();
			formData.append("imgFile", convertBase64UrlToBlob(imgData));
			formData.append("extendFileName", extendFileName);
		}
		mui.ajax({
			url: BASE_URL + '/circle/addCircle.action',
			type: "POST",
			data: formData,
			dataType: 'json', //服务器返回json格式数据
			processData: false, // 告诉jQuery不要去处理发送的数据
			contentType: false, // 告诉jQuery不要去设置Content-Type请求头
	
			success: function(response) {
			
					closePlusWaiting();
				var data = response.data;
				if(response.success) {
					//弹出圈子详情界面
					message('发布成功');
					localStorage.setItem("circleId", data);
					openwindow(applyadd_Tab);
				}else{
					message(response.message);
				}
			}
		});
	}else{
		message('正在提交数据,请不要重复操作');
	}

}

//微信端上传图片
function createCircle_wx(){
	if(!waiting){
		
		//showWaiting();
		//調用微信上傳圖片
		uploadImage(function(){
			
			document.querySelector('#chargeid').value = memberid;
			var formData = new FormData(document.querySelector('#dtoForm'));
			formData.append("extendFileName", extendFileName);
			
			formData.append("media_id",images.serverId[0]);
			mui.ajax({
				url: BASE_URL + '/circle/addCircle.action',
				type: "POST",
				data: formData,
				dataType: 'json', //服务器返回json格式数据
				processData: false, // 告诉jQuery不要去处理发送的数据
				contentType: false, // 告诉jQuery不要去设置Content-Type请求头
		
				success: function(response) {
				//	hideWaiting();
					var data = response.data;
					if(response.success) {
						//弹出圈子详情界面
						message('发布成功');
						localStorage.setItem("circleId", data);
		
						openwindow(applyadd_Tab);
					}else{
						message(response.message);
					}
				}
			});
				
				
			
		});
		
		
	}else{
		message('正在提交数据,请不要重复操作');
	}
	
}



//查询所有圈子分类
function getCircleCategory() {
	mui.get(BASE_URL + '/category/getCircleCategory.action', {}, function(data) {
		if(data.success) {
			var clist = data.data;
			var cdata = [];
			for(var i = 0; i < clist.length; i++) {
				var category = {};
				category.text = clist[i].name;
				category.value = clist[i].id;

				cdata.push(category);
			}
			document.querySelector('#categoryname').addEventListener('tap', function(event) {
				//级联示例
				var categoryPicker = new mui.PopPicker();
				categoryPicker.setData(cdata);
				categoryPicker.show(function(items) {
					document.querySelector('#categoryname').value = items[0].text;
					document.querySelector('#categoryid').value = items[0].value;

				});
			}, false);

		}
	});
}
//查询城市
function selectCity(cityData) {
	document.querySelector('#cityname').addEventListener('tap', function(event) {
		//级联示例
		var cityPicker = new mui.PopPicker({
			layer: 2
		});
		//console.log(cityData);
		cityPicker.setData(cityData);
		cityPicker.show(function(items) {
			document.querySelector('#cityname').value = items[1].text;
			document.querySelector('#cityid').value = items[1].value;

		});
	}, false);

}

function bandSwitch() {
	document.getElementById("switch").addEventListener("toggle", function(event) {
		if(event.detail.isActive) {
			document.querySelector('#audit').value='1';
		} else {
			document.querySelector('#audit').value='0';
		}
	})
}

function showWaiting(){
	document.querySelector(".mui-active").classList.remove("mui-active");
	document.querySelector("#form-waiting").classList.add("mui-active");
	waiting = true;
}

function hideWaiting(){
	document.querySelector(".mui-active").classList.remove("mui-active");
	document.querySelector("#form-event").classList.add("mui-active");
	waiting = false;
}

function switchChange(){
	
	
		document.getElementById("auditSwitch").addEventListener('toggle', function(event) {
			if(event.detail.isActive){
				//console.log(event.detail.isActive);
				document.getElementById("audit").value=1;
			}else{
				//console.log(event.detail.isActive);
				document.getElementById("audit").value=0;
			}
					
		});
	
}

function showPlusWaiting(){
	
	mui.plusReady(function() {
		plus.nativeUI.showWaiting("正在创建圈子请稍后...");
	})
	
}
function closePlusWaiting(){ 
	
	mui.plusReady(function() {
		plus.nativeUI.closeWaiting();
	})
	
}