mui.init();
var BASE_URL="http://www.oliveglobal.cn";
//var BASE_URL="http://suiyi.bmcsc.cn";
var provinceDate = [];
var memberid;
mui.ready(function() {
memberid= getQueryString('memberid');
	getProvinceDate();
	
	addListener();
});




//组织省数据
function getProvinceDate() {
	mui.get(BASE_URL + '/signup/getProvince.action', {}, function(data) {
		if(data.success) {
			
			mui.each(data.data, function(index, value) {
				var provice={};
				//console.log("=========="+value.name);
				provice.text=value.name;
				provice.value=value.id;
				provinceDate.push(provice);
			});
			
			
		}
	});
}


//组织市数据
function getCityDate(proviceid) {
	var cityDate = [];
	mui.get(BASE_URL + '/signup/getCity.action', {provinceid:proviceid}, function(data) {
		if(data.success) {
			mui.each(data.data, function(index, value) {
				var city={};
				city.text=value.name;
				city.value=value.id;
				cityDate.push(city);
			});
			//顯示市的選擇器
			
			
			var cityPicker = new mui.PopPicker();
			cityPicker.setData(cityDate);
			cityPicker.show(function(items) {
				document.getElementById('cbutton').innerHTML=items[0].text;
				
				document.getElementById("cityid").value=items[0].value;
		
			});
			

		}
	});
	
}


function signup(){
	var authCode = document.getElementById("authCode").value;
	var provinceid=document.getElementById("provinceid").value;
	var cityid=document.getElementById("cityid").value;
	var name=document.getElementById("mname").value;
	var tel=document.getElementById("tel").value;
	var address=document.getElementById("address").value;
	// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确！");
            return;
        }
		// 验证码非空校验
		if (!isNotEmpty(authCode)){
			message('请输入验证码！');
			return;
		}
	
		mui.post(BASE_URL + '/signup/doSignup.action', {
			memberid:memberid,
			name:name,
			tel:tel,
			provinceid:provinceid,
			cityid:cityid,
			addresss:address,
			authCode:authCode
			
		}, function(data) {
			
			if(data.success) {
				
				alert("恭喜您报名成功!");
				pageScroll(1);
			}
	});
	
}


function addListener(){
	
		/**
	 * 获取验证码点击事件
	 */
	//console.log("---------------=="+document.getElementById("sendCode").id);
	document.getElementById("sendCode").addEventListener('tap', function(event) {
		var tel = document.getElementById("tel").value;
		// 电话号码校验
		if (!isMobile(tel)){
            message("手机号码格式不正确!");
            return;
        }
		
		//短信发送倒计时
		settime(this);
		mui.get(BASE_URL+'/members/sendCode.action', {
			tel: tel
		}, function(data) {
			if(data.success) {
				message("短信发送成功！请于1分钟内完成验证！");
			}else{
				message(data.message);
			}
		});
	}, false);
	
	
	/**
	 * 点击省
	 */
	
	document.getElementById("pbutton").addEventListener('tap', function(event) {
		console.log("provinceDate=="+provinceDate);
		var provincePicker = new mui.PopPicker();
		provincePicker.setData(provinceDate);
		provincePicker.show(function(items) {
			document.getElementById('pbutton').innerHTML=items[0].text;
			
			document.getElementById("provinceid").value=items[0].value;
	
		});
		
	});
	
	//点击市
	document.getElementById("cbutton").addEventListener('tap', function(event) {
		
		var provinceid=document.getElementById("provinceid").value;
		if(provinceid){
			
			getCityDate(provinceid);
		}
		
	});


	document.getElementById("yinfu").addEventListener('tap', function(event) {
		var x = document.getElementById("media");
		if(x.paused){
			x.play();
		}else{
			x.pause();
		}
	});
	
	


	document.getElementById("registe").addEventListener('tap', function(event) {
		signup();
	
	});
	
}


/**
 * 短信发送按钮倒计时
 */
var countdown_sms = 60; 
function settime(button) { 
	if (countdown_sms == 0) { 
		button.classList.remove("mui-disabled");
		button.innerHTML = '获取验证码';
		countdown_sms = 60; 
		return;
	} else { 
		button.classList.add("mui-disabled");
		button.innerHTML = '重发(' + countdown_sms + ')';
		countdown_sms--; 
		
		setTimeout(function() { 
			settime(button) 
		},1000) 
	} 
} 


function message(message){
	if(mui.os.plus){
		mui.toast(message);
	}else if(mui.os.wechat){
		mui.toast(message);
	}else{
		mui.toast(message);
	}
}



//获取url参数
function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r != null) return unescape(r[2]);
	return null;
}