/**在容器中显示图片*/
var cimg=0;
function createUploadImg(container,images){
	//container.innerHTML = '';
	var fileArray = [];
	for(var i=0;i<images.length;i++){
		//图片div
		var div = document.createElement("div"); 
		//图片
		var img=document.createElement("img"); 
		
		img.src = images[i];
		
		/*img.setAttribute("data-preview-src",'');
		img.setAttribute("data-preview-group",'1');*/
		div.className="add_img uploader_file_status upimg";
		var imgid= "img_"+cimg++;//图片id 用于div
		var m_id="m_"+imgid;   //用于img的id
		
		
		img.setAttribute('id',m_id);
		img.setAttribute('imgid',imgid);
		
		div.setAttribute("id",imgid);
		//上传进度div
		var status = document.createElement("div");
		status.className = "uploader-file-content";
		status.innerHTML = "0%";
		
		div.appendChild(status);
		div.appendChild(img);
		var add_div=document.getElementById("add_img");
		container.insertBefore(div,add_div);
		//container.appendChild(div);
		
		fileArray.push({"id": imgid,"path": images[i]});
	}
	return fileArray;
}

//压缩图片
function compressImage(){
	plus.zip.compressImage({
			src:"_www/a.jpg",
			dst:"_doc/a.jpg",
			quality:20
		},
		function() {
			alert("Compress success!");
		},function(error) {
			alert("Compress error!");
	});
}

// 创建上传任务
function createUpload(fileArray,complateCB) {
	plus.uploader.clear();
//	console.log(filePath);
	if(fileArray){
		for(var i=0;i<fileArray.length;i++){
			var file = fileArray[i];
			//上传任务
			var task = plus.uploader.createUpload(BASE_URL + '/imageupload/upload.action', {}, function ( upload, status ) {
				if ( status == 200 ) {
					var response = JSON.parse(upload.responseText);
					if(upload.imgid){
						var imgDiv = document.getElementById(upload.imgid);
						imgDiv.querySelector("div.uploader-file-content").style.display = "none";
			 			imgDiv.classList.remove("uploader_file_status");
					}
//					console.log( "Upload success,url: " + response.data );
					fileArray[upload.taskIndex].url = response.data;
				} else {
					console.log( "Upload failed: " + status );
				}
				plus.uploader.finishTask++;
//				console.log(plus.uploader.finishTask+" "+plus.uploader.totalTask); 
				if(plus.uploader.finishTask == plus.uploader.totalTask){
					if(complateCB){
						complateCB(fileArray);
					}
				}
			});
			task.addFile(file.path, {key: "image"});
			if(file.id){
				task.imgid = file.id;
			}
			task.taskIndex = i; 
			//上传进度
			task.addEventListener("statechanged", function( upload, status ) {
				if(upload.state==3){
					var percent = (upload.uploadedSize/upload.totalSize*100).toFixed(0);
//					console.log(upload.imgid+":"+percent); 
					if(upload.imgid){
						if(percent==100){
							document.getElementById(upload.imgid)
								.querySelector("div.uploader-file-content")
								.innerHTML="处理中"; 
						}else{
							document.getElementById(upload.imgid)
								.querySelector("div.uploader-file-content")
								.innerHTML=percent+"%";
						}
					}
				}
			}, false );
		}
		plus.uploader.finishTask = 0;
		plus.uploader.totalTask = fileArray.length;
		plus.uploader.startAll();
	}
}