mui.init();
var page = 1;
var rows = 5;
var totalPages = 0;

var memberid;
var member;
var tomemberid;   //被回复人id
var tonickname;   //被回复人昵称
mui.ready(function() {

	memberid = getMemberid();
	member = getMember();

	getDynamics(memberid, null, 0, 1, rows, true);
	//绑定下拉事件
	pullToRefresh(mui, nextPage);

});

var nextPage=function(){
	page++;
	getDynamics(memberid, false);
};


//获取动态

function getDynamics(memberid, reset) {
	//var beginNum=(page-1)*rows;

	var params = {};
	params.memberid = memberid;
	params.page = page;
	params.rows = rows;
	mui.get(BASE_URL + '/dynamics/getMyDynamics.action', params, function(data) {
		if(data.data.resultList) {
			var dynamicsTemplate = Handlebars.compile(document.querySelector('#dynamics-template').innerHTML);
			var dynamicsList = data.data.resultList;
			var divHtml = dynamicsTemplate(dynamicsList);
			totalPages = data.data.totalPages;
			
			var scroller = document.querySelector('#dynamics');
			if(reset) {
				scroller.innerHTML = divHtml;
			} else {
				scroller.innerHTML += divHtml;
			}

			//循环设置点赞列表 设置点赞按钮样式
			for(var i = 0 in dynamicsList) {
				var dynamics = dynamicsList[i];
				eachZanList(dynamics.id, dynamics.zanList);
				
			}
			//绑定点赞事件
			bandZanClick();
			//绑定评论
			bandPl();
			//绑定评论回复
			bandPlReply();
			banInputChange();
			bandButtonClick();

		}
	});
}

/**
 * 点击赞的事件
 */
function bandZanClick() {
	mui('.my_like').on('tap','.clickZan', function() {
		var dynamicsid=this.getAttribute('dynamicsid');
		
		////////////////直接前臺顯示不理会回调
		var clickZan=document.querySelector('#clickZan_' + dynamicsid);
		var oldZanCount=parseInt(document.getElementById('zanCount_'+dynamicsid).innerHTML);
		if(clickZan.classList.contains("zan_selected")) { //已经赞过了   
			//设置为未赞样式
			clickZan.classList.remove("zan_selected");
			//赞数减1 
			document.getElementById('zanCount_'+dynamicsid).innerHTML=parseInt(oldZanCount-1);

			//移除赞的用户信息
			var userZan=document.getElementById(dynamicsid+'_'+memberid);
			userZan.parentNode.removeChild(userZan);   //删除自身
									
		} else { //没赞  执行赞
			//设置点赞按钮的style
				clickZan.classList.add("zan_selected");
				//赞数加1 
				document.getElementById('zanCount_'+dynamicsid).innerHTML=parseInt(oldZanCount+1);
				//设置选中属性 1
				//document.querySelector('#clickZan_' + dynamicsid).setAttribute('isZan', '1');
				//加入用户点赞信息
				var span = document.createElement("span"); 
				span.className="userZan";
				span.id=dynamicsid+"_"+memberid;
				span.innerHTML=member.nickname;
				var parent=document.querySelector('#a_' + dynamicsid);
				parent.appendChild(span);	
		}
		//、、、、、、、、、、、、、、、、、、、
		//调用赞方法   返回赞的对象
		mui.get(BASE_URL + '/dynamics/doZan.action', {
			dynamicsid: dynamicsid,
			memberid: memberid
		}, function(data) {
				if(data.success) {
					

				}
		});

	

	});

}
//绑定评论事件
function bandPl(){
	mui('.my_like').on('tap','.cliclPl', function() {
		var dynamicsid=this.getAttribute('dynamicsid');
		
		var pinglun_div=document.getElementById("pinglun_"+dynamicsid);
		var pinglun_input=document.getElementById("input_"+dynamicsid);
		pinglun_input.placeholder='';
		tomemberid='';   //被回复人id
		 tonickname='';
		//显示评论框
		pinglun_div.style.display="";
	});
}
/**
 * 绑定评论回复事件
 */
function  bandPlReply(){
	mui('#dynamics').on('tap','.pinglun', function() {
		var dynamicsid=this.getAttribute('dynamicsid');
		
		 tomemberid=this.getAttribute('tomemberid');
		 tonickname=this.getAttribute('tonickname');
		var pinglun_div=document.getElementById("pinglun_"+dynamicsid);
		var pinglun_input=document.getElementById("input_"+dynamicsid);
		if(tomemberid){
			
			pinglun_input.placeholder='回复'+tonickname;
		}
		//显示评论框
		pinglun_div.style.display="";
		
		
	});
}

//绑定输入框变化事件
function banInputChange(){
	mui('.my_jiaoliu').on('input','input', function() {
		var dynamicsid=this.getAttribute('dynamicsid');
		//设置按钮可用
		var pinglun_button=document.getElementById("button_"+dynamicsid);
		//console.log(this.value);
		if(this.value){
			pinglun_button.disabled=false;
		}else{
			pinglun_button.disabled=true;
		}
		
	});
}
/**
 * 绑定发送 按钮点击事件
 */
function bandButtonClick(){
	mui('.my_jiaoliu').on('tap','button', function() {
	
		var dynamicsid=this.getAttribute('dynamicsid');
		var content=document.getElementById("input_"+dynamicsid).value;
		var params = {};
		params.dynamicsid=dynamicsid;
		params.memberid=memberid;
		params.content=content;
		var replayStr='';
		if(tomemberid) {
			params.tomemberid = tomemberid;
			replayStr="回复 <span>"+tonickname+"</span>";
		}
		
		/////////////////////////////////////////////////////////////////////////////////
		//評論數加1
				var oldPlCount=parseInt(document.getElementById('plCount_'+dynamicsid).innerHTML);
				document.getElementById('plCount_'+dynamicsid).innerHTML=parseInt(oldPlCount+1);
				
				var div = document.createElement("div"); 
				div.className="my_jiaoliu pinglun";
				div.setAttribute("dynamicsid",dynamicsid);
				div.setAttribute("tomemberid",memberid);
				div.setAttribute("tonickname",member.nickname);
				var span=document.createElement("span"); 
				span.innerHTML=member.nickname;
				div.appendChild(span);
				if(tomemberid) {
					div.innerHTML+=replayStr;
				}
				div.innerHTML+=":"+content;
				
				var li=document.getElementById("dynamicsid_"+dynamicsid);
				var plInputDiv=document.getElementById("pinglun_"+dynamicsid);
				
				li.insertBefore(div,plInputDiv);
				//输入框空
				document.getElementById("input_"+dynamicsid).value='';
				//隐藏输入框
				plInputDiv.style.display="none";
				//按钮设置为不可用
				var pinglun_button=document.getElementById("button_"+dynamicsid);
				pinglun_button.disabled=true;
		
		
		////////////////////////////////////////////////////////////////////
		
		mui.get(BASE_URL + '/dynamics/inserPl.action', params, function(data) {
			if(data.success) {
				
			}
		});
		
	});
}

function loadEventsList(row, scroller) {
	setTimeout(function() {
		//mui('#pullrefresh').pullRefresh().endPullupToRefresh(); //参数为true代表没有更多数据了。

		getDynamics(memberid, circleid, isfriend, false);

	}, 1500);

}

/**
 *循环赞的数据 设置点赞按钮样式
 * @param {Object} dynamicsid
 * @param {Object} zanList
 */
function eachZanList(dynamicsid, zanList) {
	for(var i = 0 in zanList) {
		var zan_memberid = zanList[i].memberid;
		//用户已点赞
		if(zan_memberid == memberid) {
			//设置点赞按钮的style
			var clickZan=document.querySelector('#clickZan_' + dynamicsid);
			clickZan.classList.add("zan_selected");
		
		}

	}

}

//用于显示回复
Handlebars.registerHelper('reply', function(tonickname){
	var return_str='';
	if(tonickname){
		return_str="回复 <span>"+tonickname+"</span>";
	}
   return return_str;
});

