mui.init({
 pullRefresh : {
    container: '#pullrefresh',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:false,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback : function(){//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
      //	console.log('划动了');
      	loadEventsList(1,this);
      }
    }
  }
});



var page = 1;
var totalPages=0;
var rows = 3;
var chargeid;
var id,token ;

var shareTitle="欢迎加入公益圈";
var shareContent="欢迎加入公益圈";
var shareHref;
var shareThumbs=[];

var memberid;
mui.ready(function() {
	//获取圈子id
	// id=localStorage.getItem("circleId");
	//记录分享的类型   shareType=1 圈子分享
	localStorage.setItem("shareType",'1'); 
	mui.previewImage();
	 id = getQueryString('circleId');
	 token = getQueryString('token');
	 	
	if(!id){
		id= localStorage.getItem("circleId"); 
	}
   shareHref=SHARE_URL+'?redirectUri='+SHARE_REDIRECT_URL+'?page='+qianzi_detailTab+':circleId='+id;
	//alert('===circleId=='+id);
	
	if(token){
		userLogin(queryDetail);
	}else{
		queryDetail();
	}
	
	mui("#pullrefresh").on("tap","div.shareurl",function(){
		var url = this.getAttribute("data-url");
		openwindow(url);
	});
	
	if(mui.os.wechat){
		overWriteBack("quanzi_home.html");
	}
});

function queryDetail(){
	//获取圈内动态
	getDynamic();
	//查询圈子信息
	getCircleInfo(id);
	
	//判断显示发布加入圈子
	isPostOrJoin(id);
	
	bandMemberImgClick();
	//绑定点赞事件
	bandZanClick();
	//绑定评论
	bandPl();
	bandShowmore();
	//绑定评论回复
	bandPlReply();
	banInputChange();
	bandButtonClick();
	bandDeleteClick();
}

/*var nextPage=function(){
	page++;
	//self.endPullUpToRefresh();
	//console.log("self===="+self);
	getDynamic();
};
*/

//获取圈子详情
function getCircleInfo(id) {

	mui.get(BASE_URL+'/circle/getCircleInfo.action', {
		id: id
	}, function(data) {
		if(data.success) {
			var cateInfoTemplate = Handlebars.compile(document.querySelector('#cateInfo-template').innerHTML);
			document.querySelector('#circleInfo').innerHTML = cateInfoTemplate(data.data);
			if(data.data) {
				chargeid=data.data.chargeid;
				document.querySelector('.mui-title').innerHTML = data.data.name;
				shareTitle+='--:'+data.data.name;
				shareThumbs.push(data.data.titleimg);
				//为分享到圈子动态做准备
				localStorage.setItem("shareTitle",data.data.name); 
			
				localStorage.setItem("shareCity",data.data.cityName); 
				localStorage.setItem("shareDate",""); 
				if(mui.os.wechat) {  //微信
					localStorage.setItem("shareHref",shareHref); 
				}else{
					localStorage.setItem("shareHref",'quanzi_detail.html?circleId='+id); 
				}
				localStorage.setItem("shareLogo",data.data.titleimg); 
				
				
				bandImgClick(id);
			}
		}
	});
}

//获取圈内个人动态
function getDynamic() {

	mui.get(BASE_URL+'/dynamics/getByCircleId.action', {
		id: id,
		page: page,
		rows: rows
	}, function(data) {
		
		if(data.success) {
			totalPages = data.data.totalPages;
			var dynamicsList = data.data.resultList;
			var dynamicsTemplate = Handlebars.compile(document.querySelector('#dynamics-template').innerHTML);
			if(page==1){
				document.querySelector('#dynamics-ul').innerHTML = dynamicsTemplate(dynamicsList);
				if(dynamicsList.length==0){
				document.querySelector('#dynamics-ul').innerHTML='<p align="center" style="margin-top:20px" id="none" >没有更多数据了</p>';
				}
			}else{
				document.querySelector('#dynamics-ul').innerHTML += dynamicsTemplate(dynamicsList);
				
			}
			
			
		
			//用户登录后 绑定事件
			if(isLogin()){
				memberid = getMemberid();
				member = getMember();
				
				//循环设置点赞列表 设置点赞按钮样式
				for(var i = 0 in dynamicsList) {
					var dynamics = dynamicsList[i];
					
					eachZanList(dynamics.id, dynamics.zanList);
					
				}
			}
	
			if(mui.os.plus){
				mui.plusReady(function() {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
				});
			}else{
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
			}
		
			
			var lazy = jQuery("img.lazy").lazyload({effect: "fadeIn", threshold: 200,loaded_success:function($img){
				$img.removeClass("lazy");
			}});
			lazy.trigger("appear");
			
		}
	});
}

//绑定圈子头像点击事件
function bandImgClick(id){
	//如果用户登陆  查询用户是否是管理员
	if(isLogin()) {
		 memberid = getMemberid();
		
		/*document.getElementById("titleimg").addEventListener('tap', function(event) {
			if(chargeid==memberid){
				openwindow(quanzi_guanliTab);
			}else{
				openwindow(applyadd_Tab);
			}
		});*/
		mui("#titlehref").on("tap",'img,span', function(event) {
			if(chargeid==memberid){
				openwindow(quanzi_guanliTab);
			}else{
				openwindow(applyadd_Tab);
			}
		})
		
	}else{
		mui("#titlehref").on("tap",'img,span', function(event) {
			openwindow(applyadd_Tab);
		})
	}
	
}



//判断显示发布还是加入圈子按钮 并绑定不同的事件
function isPostOrJoin(circleid) {
	var str = '';

	if(isLogin()) {
		 memberid = getMemberid();
		//alert(memberid);
			//判断用户是否在圈子内  并显示相应的文字
		isInCircle(circleid, memberid, showText);
		
	} else {
		str = '登陆';
		document.querySelector('#fabu').innerHTML += str;
		//绑定登陆事件
		bandFabuClick(2);
		
	}

}

function showText(data) {
	if(data.data) {
		var ispass=data.data.ispass;
		
		if(ispass==0){
			str = '等待审核';
		}else if(ispass==1){
			str = '发布';
			bandFabuClick(0);
		}
		
	} else {
		str = '申请加入';
		bandFabuClick(1);
		
	}

	document.querySelector('#fabu_button').innerHTML += str;
	//绑定点击事件
}

function bandFabuClick(opt){
	if(opt==0){  //  发布动态
		
		//绑定点击事件
		mui('#fabu').on('tap', 'a', function(e) {
			
			openwindow(fabu_Tab);

		});
		
	}else if(opt==1){ //申请加入
		//绑定点击事件
		mui('#fabu').on('tap', 'a', function(e) {
			
			openwindow(applyadd_Tab);

		});
		
	}else if(opt==2){ //登陆
		//绑定点击事件
		mui('#fabu').on('tap', 'a', function(e) {
			
			toLogin();

		});
		
	}
	
}


function loadEventsList(row,scroller) {
	getDynamic();
}
//上拉下拉方法

function pullToRefresh($) {

	//阻尼系数
	var deceleration = mui.os.ios ? 0.03 : 0.009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	//循环初始化所有下拉刷新，上拉加载。
	$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {

		$(pullRefreshEl).pullToRefresh({
	
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {

						getDynamic();
						
						self.endPullUpToRefresh((++page > totalPages));

					}, 1000);
				}
			}
		});
	});

}