mui.init();
var shareTitle="欢迎加入公益圈";
var shareContent="欢迎加入公益圈";
var shareHref;
var shareThumbs=[];
var memberid;
//存放图片变量
var images = {
	localId: [],
	serverId: []
};
mui.ready(function() {
	//获取圈子id
	var id = localStorage.getItem("circleId"); 
	//获取圈子详情
	getCircleInfo(id);
	
	banCommitClick();
	
	shareHref=SHARE_URL+'?redirectUri='+SHARE_REDIRECT_URL+'?page='+qianzi_detailTab+':circleId='+id;
	
});


//获取圈子详情
function getCircleInfo(id){
	memberid= getMemberid();
	mui.get(BASE_URL+'/circle/getCircleDto.action', {id:id}, function(data) {
		if(data.success) {
			var cateInfoTemplate = Handlebars.compile(document.querySelector('#addcircleInfo-template').innerHTML);
			var emptyHtml=document.querySelector('.mui-table-view').innerHTML;
        	document.querySelector('.mui-table-view').innerHTML=cateInfoTemplate(data.data)+emptyHtml;
	       	if(data.data){
	       		document.querySelector('.mui-title').innerHTML=data.data.name;
	       		document.querySelector('.t_chengyuan').innerHTML=data.data.membercount+'人';
	       		var chargeid=data.data.chargeid;
	       		banTouxiangClick();
	       		//补充选择数据
	       		getCircleCategory();
				//获取圈子成员
				getCircleMembers(id);
				//查询省市数据
				var cityData = getCityData();
				if(cityData) {
					selectCity(cityData);
				}
				
				tapInputEvents();
	       
	       	}
		}
	});
	
}
//获取圈子内成员
function getCircleMembers(id){
	mui.get(BASE_URL+'/members/getMembersCircleId.action', {
		circleid:id
		}, function(data) {
		if(data.success) {
			var circleMembersTemplate = Handlebars.compile(document.querySelector('#circleMembers-template').innerHTML);
			
        	document.querySelector('#circleMembers').innerHTML=circleMembersTemplate(data.data);
	       	memberImageClientEvents();
		}
	});
}

//判断是否显示角标
 Handlebars.registerHelper("ispass",function(ispass,options){
    if(ispass!=1){   //未通过  返回true
             
      return options.fn(this);
   }else{
              //不满足条件执行{{else}}部分
    return options.inverse(this);
   }
});

//查询所有圈子分类
function getCircleCategory() {
	mui.get(BASE_URL + '/category/getCircleCategory.action', {}, function(data) {
		if(data.success) {
			var clist = data.data;
			var cdata = [];
			for(var i = 0; i < clist.length; i++) {
				var category = {};
				category.text = clist[i].name;
				category.value = clist[i].id;

				cdata.push(category);
			}
			changeCategory(cdata);
		

		}
	});
}



function changeCategory(categoryData){
	document.querySelector('#categoryInput').addEventListener('tap', function(event) {
		//级联示例
		var categoryPicker = new mui.PopPicker({
			layer: 1
		});
		categoryPicker.setData(categoryData);
		categoryPicker.show(function(items) {
			document.getElementById("categoryText").innerHTML = items[0].text;
			document.getElementById('categoryid').value = items[0].value;

		});
	}, false);
}


//查询城市
function selectCity(cityData) {
	document.getElementById("cityInput").addEventListener('tap', function(event) {
		//级联示例
		var cityPicker = new mui.PopPicker({
			layer: 2
		});
		//console.log(cityData);
		cityPicker.setData(cityData);
		cityPicker.show(function(items) {
			document.querySelector('#cityText').innerHTML = items[1].text;
			document.querySelector('#cityid').value = items[1].value;

		});
	}, false);

}

//绑定头像点击事件
function banTouxiangClick() {

	document.getElementById("touxiangImg").addEventListener("tap", function() {

		if(mui.os.wechat) {
			//选择图片
			chooseImage(1, setTouxiang_wx);

			//上传图片
			//uploadImage();
		} else
			mui.plusReady(function() {
				//console.log("1111111111111");
				plus.gallery.pick(function(path) {
					images.localId[0] = path;
					setTouxiang();
					//alert(path);
				});

			});

	})

}

var imgData;
var extendFileName;
var setTouxiang = function() {

	document.querySelector('#touxiangImg').src = images.localId[0];
	var image = new Image();
	image.src = images.localId[0];
	image.onload = function() {
		imgData = getBase64Image(image);

		extendFileName = images.localId[0].split(".")[1];
		//console.log(extendFileName);
	}

};
var setTouxiang_wx = function() {
	
	document.querySelector('#touxiangImg').src = images.localId[0];
	
};

//绑定提交事件
function banCommitClick() {

	document.querySelector('#optButton').addEventListener("tap", function() {
		//alert('点击提交');
		
		if(mui.os.wechat) {
		//	alert('进入微信提交');
			updateCircle_wx();
		}else{
			updateCircle();
		}

	});

}

/**
 * 修改圈子
 */
function updateCircle() {
	//alert(document.querySelector('#categoryid').value);
	//alert(document.querySelector('#cityid').value);
	//console.log("memberid===="+memberid);
	document.querySelector('#chargeid').value = memberid;
	var formData = new FormData(document.querySelector('#dtoForm'));
	
	
	if(imgData) {
		formData.append("imgFile", convertBase64UrlToBlob(imgData));
		formData.append("extendFileName", extendFileName);
	}
	mui.ajax({
		url: BASE_URL + '/circle/updateCircle.action',
		type: "POST",
		data: formData,
		dataType: 'json', //服务器返回json格式数据
		processData: false, // 告诉jQuery不要去处理发送的数据
		contentType: false, // 告诉jQuery不要去设置Content-Type请求头

		success: function(response) {
			//window.location.href="${ctx}"+data;

			var data = response.data;
			if(response.success) {
					message('圈子信息保存完成！');
				//alert('圈子信息保存完成');
				//弹出圈子详情界面
				/*console.log('data===='+data);
				localStorage.setItem("circleId", data);

				openwindow(applyadd_Tab);*/
			}
		}
	});

}

function updateCircle_wx() {
	//alert(document.querySelector('#categoryid').value);
	//alert(document.querySelector('#cityid').value);
	//console.log("memberid===="+memberid);
	document.querySelector('#chargeid').value = memberid;
	var formData = new FormData(document.querySelector('#dtoForm'));
	
	
	if(imgData) {
		formData.append("extendFileName", extendFileName);
			
		formData.append("media_id",images.serverId[0]);
		/*formData.append("imgFile", convertBase64UrlToBlob(imgData));
		formData.append("extendFileName", extendFileName);*/
	}
	mui.ajax({
		url: BASE_URL + '/circle/updateCircle.action',
		type: "POST",
		data: formData,
		dataType: 'json', //服务器返回json格式数据
		processData: false, // 告诉jQuery不要去处理发送的数据
		contentType: false, // 告诉jQuery不要去设置Content-Type请求头

		success: function(response) {
			//window.location.href="${ctx}"+data;

			var data = response.data;
			if(response.success) {
					message('圈子信息保存完成！');
				
			}
		}
	});

}


function changeText(span,id){
	var text = span.innerHTML;
	mui.prompt('请输入修改的内容：', text, '', ['取消', '确定'], function(e) {
		if (e.value !=null&&e.value !="") {
			span.innerHTML = e.value;
			document.getElementById(id).value=e.value;
		}
	},'div')
}


//点击输入事件
function tapInputEvents(){
	mui("li.textInput").each(function(){
		var li = this;
		var id = li.getAttribute("refid");
		li.addEventListener('tap', function() {
			var span = li.querySelector("span.textValue");
			changeText(span,id);
		});
	});

}

//成员头像点击事件
function memberImageClientEvents(){
	mui("#circleMembers").on('tap','a', function(){
		
		var memberInfo_id=this.getAttribute('memberinfo_id');
		localStorage.setItem("ismanage",true);  //代表管理
		localStorage.setItem("memberInfo_id",memberInfo_id); 
		openwindow(my_detailTab);
	});
	

}