
mui.init({
 pullRefresh : {
    container: '#pullrefresh',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      height:50,//可选.默认50.触发上拉加载拖动距离
      auto:false,//可选,默认false.自动上拉加载一次
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      callback : function(){//必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
//    	console.log('划动了');
      	loadEventsList(1,this);
      }
    }
  }
});

var page = 0;
var rows = 3;
var totalPages = 0;

var circleid;
var isfriend = 0;

mui.ready(function() {
	//renaderNavigation(1);
	
	memberid = getMemberid();
	member = getMember();
	
	getDynamics(memberid, null, 0, 1, rows, true);
	
	getMyCircle(memberid, 1, 2);
	bandFau();
	//绑定点赞事件
	bandZanClick();
	//绑定评论
	bandPl();
	bandShowmore();
	//绑定评论回复
	bandPlReply();
	banInputChange();
	bandButtonClick();
	bandDeleteClick();
	mui.previewImage();
	bandMemberImgClick();

	//绑定下拉事件
	//pullToRefresh(mui);
	
	mui("#dynamics-ul").on("tap","div.shareurl",function(){
		var url = this.getAttribute("data-url");
		openwindow(url);
	});
});

/*var nextPage=function(){
//	page++;

	getDynamics(memberid, circleid, isfriend, false);
	mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages)); //参数为true代表没有更多数据了。
};
*/

//绑定好友圈事件
function bandFriendsCircle() {
	//var friendDiv=document.getElementById("#friendDiv");
	//console.log(document.querySelector('#friendDiv').innerHTML);
	document.getElementById("friendDiv").addEventListener('tap',function(event){
		//取得点击对象的date-vale 实际是圈子id
		circleid = null;
		isfriend = 1;
		page = 0;

		getDynamics(memberid, circleid, isfriend, true);
		
	})

}

//绑定点击圈子事件
function getMyCircle(memberid, page, rows) {
	mui.get(BASE_URL + '/circle/getMyCircle.action', {
		id: memberid	
	}, function(data) {
		if(data.success) {
			var cricleTemplate = Handlebars.compile(document.querySelector('#cricle-template').innerHTML);
		//	var cricleTemplate2 = Handlebars.compile(document.querySelector('#cricle-template2').innerHTML);
			//首页只显示2个   其他隐藏  点击全部时  显示
			var clist=data.data;
			if(clist.length>3){
				var home_json={};
				var more_json={};
					for(var i=0;i<clist.length;i++){
						var c=clist[i];
						 if(i<3){
						 	home_json[i]=c;
						 }else{
						 	more_json[i-3]=c;
						 }
				}
				
					document.getElementById("homeC").innerHTML = cricleTemplate(home_json);
					document.getElementById("moreC").innerHTML =  cricleTemplate(more_json);
		
			}else{
					document.getElementById("homeC").innerHTML= cricleTemplate(clist);
			}
			//document.getElementById("myCricle").innerHTML+= cricleTemplate(clist);
			//poll.refresh(true);
			bandMoreCircle();
			//console.log(document.querySelector('#myCricle').innerHTML);
			//绑定好友圈事件
			bandFriendsCircle();
			//为圈子绑定点击事件
			mui('#myCricle').on('tap', '.myCricle',function(e) {
				//取得点击对象的date-vale 实际是圈子id
				var id = this.getAttribute('data-value');
				//弹出圈子详情界面
					localStorage.setItem("circleId", id);
			
					openwindow(qianzi_detailTab);
				/*isfriend = 0;
				page = 1;

				getDynamics(memberid, circleid, isfriend, rows, true);*/
			});

		}
	});
}


function  bandMoreCircle(){
	var moreCircle=document.getElementById("moreC");
	document.getElementById("allCircle").addEventListener('tap', function(event) {
		
		if(moreCircle.style.display=='block'){  
   		moreCircle.style.display='none';  
	   }else{  
	   		moreCircle.style.display='block';  
	   }  
			
			
	
	});	
	
}

//获取动态

function getDynamics(memberid, circleid, isfriend, reset) {
	//var beginNum=(page-1)*rows;

	var params = {};
	params.memberid = memberid;
	if(circleid != null) {
		params.circleid = circleid;
	}
	params.isfriend = isfriend;
	params.page = ++page;
	params.rows = rows;
	mui.get(BASE_URL + '/dynamics/getDynamics.action', params, function(data) {
		if(data.data.resultList) {
			var dynamicsTemplate = Handlebars.compile(document.querySelector('#dynamics-template').innerHTML);
			var dynamicsList = data.data.resultList;
		//	console.log('dynamicsList='+dynamicsList.length);
			var divHtml = dynamicsTemplate(dynamicsList);
			totalPages = data.data.totalPages;
			var scroller = document.querySelector('#dynamics-ul');
			if(reset) {
				scroller.innerHTML = divHtml;
			} else {
				scroller.innerHTML += divHtml;
			}
			
			//用户登录后 绑定事件
			if(isLogin()){
				//循环设置点赞列表 设置点赞按钮样式
				for(var i = 0 in dynamicsList) {
					var dynamics = dynamicsList[i];
					eachZanList(dynamics.id, dynamics.zanList);
					
				}
			}
			if(mui.os.plus){
				mui.plusReady(function() {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
				});
			}else{
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((++page > totalPages));
			}
			
			
			var lazy = jQuery("img.lazy").lazyload({effect: "fadeIn", threshold: 200,loaded_success:function($img){
				$img.removeClass("lazy");
			}});
			lazy.trigger("appear");
		}
	});
}



function loadEventsList(row, scroller) {
		getDynamics(memberid, circleid, isfriend, false);
}





function bandFau(){
	document.getElementById("createActive").addEventListener("tap", function() {
		openwindow(fabu_Tab);
	});
	
	document.getElementById("createCircle").addEventListener("tap", function() {
		openwindow(quanzi_create);
	});
}


Handlebars.registerHelper('subName', function(name, options){
	//console.log("length===="+items);
	var return_str=''; 
	if (GetLength(name) > 6) { 
      return_str=cutstr(name, 6); 
    	
     }else{
     	return_str=name;
     }
   return return_str;
});

var GetLength = function (str) {
        ///<summary>获得字符串实际长度，中文2，英文1</summary>
        ///<param name="str">要获得长度的字符串</param>
        var realLength = 0, len = str.length, charCode = -1;
        for (var i = 0; i < len; i++) {
            charCode = str.charCodeAt(i);
            if (charCode >= 0 && charCode <= 128) realLength += 1;
            else realLength += 2;
        }
        return realLength;
    };

    //js截取字符串，中英文都能用  
    //如果给定的字符串大于指定长度，截取指定长度返回，否者返回源字符串。  
    //字符串，长度  

    /** 
     * js截取字符串，中英文都能用 
     * @param str：需要截取的字符串 
     * @param len: 需要截取的长度 
     */
    function cutstr(str, len) {
        var str_length = 0;
        var str_len = 0;
        str_cut = new String();
        str_len = str.length;
        for (var i = 0; i < str_len; i++) {
            a = str.charAt(i);
            str_length++;
            if (escape(a).length > 4) {
                //中文字符的长度经编码之后大于4  
                str_length++;
            }
            str_cut = str_cut.concat(a);
            if (str_length >= len) {
                str_cut = str_cut.concat("...");
                return str_cut;
            }
        }
        //如果给定字符串小于指定长度，则返回源字符串；  
        if (str_length < len) {
            return str;
        }
    }



//上拉下拉方法
var poll;
function pullToRefresh($) {

	var deceleration = mui.os.ios?0.003:0.0009;
				$('.mui-scroll-wrapper').scroll({
					bounce: true,
					indicators: true, //是否显示滚动条
					deceleration:deceleration
				});
	//循环初始化所有下拉刷新，上拉加载。
	$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {

		poll=$(pullRefreshEl).pullToRefresh({
	
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						
						getDynamics(memberid, circleid, isfriend, false);
						
						self.endPullUpToRefresh((page > totalPages));

					}, 1000);
				}
			}
		});
	});

}



