mui.init()
var map = null;
var zoom = 17;//缩放值
mui.ready(function(){
	if(mui.os.wechat){
		var coordinate = localStorage.getItem("coordinate").split(",");
		var x = coordinate[0];
		var y = coordinate[1];
		map = new AMap.Map("map",{
			view: new AMap.View2D({
				center:new AMap.LngLat(x,y),
				zoom: zoom 
			})
		});
		
		map.plugin(["AMap.MapType"], function() {
				var type = new AMap.MapType({defaultType:0});
				map.addControl(type);
			});	
			map.plugin(["AMap.ToolBar"],function(){		
			toolBar = new AMap.ToolBar();
			map.addControl(toolBar);	
		});
		
		 marker = new AMap.Marker({
	        icon: "http://webapi.amap.com/theme/v1.3/markers/n/mark_b.png",
	        position: [x,y]
	    });
	    marker.setMap(map);
	}
});

mui.plusReady(function(){
	var coordinate = localStorage.getItem("coordinate").split(",");
	var x = coordinate[0];
	var y = coordinate[1];
	var position = new plus.maps.Point( x, y );
	
	map = new plus.maps.Map("map",{center: position,zoom: zoom,zoomControls: true});
//  map.showUserLocation(true);
//	userLocation();
	var marker = new plus.maps.Marker(position);
	marker.setIcon("../images/marker_01.png"); 
    map.addOverlay(marker);
});

function userLocation() {//当前用户定位
    if(null == map){return};
    map.showUserLocation(true);
    map.getUserLocation(function(state, pos) {
        if (0 == state) {
            map.setZoom(zoom);
            console.log(JSON.stringify(pos));
            map.setCenter(pos);
        } 
    });
}

function showPoints(points) {//显示位置点
    if(!map){return}
    for(var i=0;i<points.length;i++){
        var point = new plus.maps.Point(points[i].lon,points[i].lin);
        var marker = new plus.maps.Marker(point);
        console.log(points[i].lon);
        marker.setIcon("http://webapi.amap.com/theme/v1.3/markers/n/mark_b.png"); 
//      marker.setLabel(points[i].Lable);
        var bubble = new plus.maps.Bubble(points[i].Bubble);
        marker.setBubble(bubble);
        map.addOverlay(marker);
    }
}