mui.init({
	gestureConfig: {
		tap: true, //默认为true
		longtap: true //默认为false
	}
});
var old_back = mui.back;
mui.ready(function() {
	//初始化本地存储
	initDb();
	toggleNavigation(3);
	//页面初始化
	pageshow_init();
	//添加事件
	addListener();

	trigger_overWriteBack();
});
/**
 * 环信连接
 */
var conn;
//分享内容
var shareHref;
var shareThumbs=["_www/assets/images/img2.png"];
var shareTitle="好友邀请";
var shareContent="我正在“橄榄枝”参加公益活动，快来加入我们吧";

/**
 * 触发overWriteBack
 */
var trigger_overWriteBack = function(){
	overWriteBack("quanzi_home.html","renaderNavigation(1)");
}
/**
 * 触发messageRemind
 */
var trigger_messageRemind = function(){
	localStorage.setItem("message_remind","1");
	if (mui.os.plus) {
		plus.webview.getTopWebview().evalJS('messageRemind()');
		plus.webview.getWebviewById("quanzi_home.html").evalJS('messageRemind()');
		plus.webview.getWebviewById("active_shaixuan.html").evalJS('messageRemind()');
		if(plus.webview.getWebviewById("person_home.html")!=null){
			plus.webview.getWebviewById("person_home.html").evalJS('messageRemind()');
		}
	}
}
/**
 * 回调：添加好友请求
 */
var callback_presence = function(data){
	var emid = data.emid;
	var li = $("#contacts").find("li[contacttype='1'][emid='"+emid+"']");
	if(li&&li.length>0){
		
	}else{
		//先删再加，解决同步问题
		li = $("#contacts").find("li[contacttype='1'][emid='"+emid+"']");
		if(li&&li.length>0){
			$(li).remove();
		}else{
			//触发messageRemind
			trigger_messageRemind();
			player();
		}
		var li_new = template('item_subscribe', data);
		$("#contacts").prepend(li_new);
	}
}
/**
 * 回调：消息接收（easemob消息推送）
 * @param {Object} content
 */
var callback_message = function(type,content,from_em){
	//触发messageRemind
	trigger_messageRemind();
	
	var now = new Date().FormatFull(true);
	var now_short = getShortDate(now);
	var emid = from_em;
	
	var type_contact = CONTACT_TYPE_MESSAGE;
	if(emid == ADMIN_EM){
		type_contact = CONTACT_TYPE_SYSTEM;
	}else if(emid == GLZHELPER_EM){
		type_contact = CONTACT_TYPE_GLZHELPER;
	}
	
	var li = $("#contacts").find("li[contacttype='"+type_contact+"'][emid='"+emid+"']");
	if(li&&li.length>0){
		var content_contact = getContactcontent(type,content);
		
		li.find("div[name='avatar']").append('<span class="mui-badge">&nbsp;&nbsp;</span>');
		var li_msg = li.find("p[name='lastmsg']");
		if(li_msg)
			li_msg[0].innerHTML = content_contact;
		
		var li_lastdate = li.find("p[name='lastdate']");
		if(li_lastdate)
			li_lastdate[0].innerHTML = now_short;
			
//		console.info(li_msg[0].outerHTML+'-'+li_lastdate[0].outerHTML+'-'+emid);
//		$("#contacts").prepend(li[0]);  //移动到最顶
	}else{
		//查询联系人信息		
		var owner = getMemberEmid();
		
		var contactList = Contact_chat.all().filter("owner", '=', owner).and(new persistence.PropertyFilter("emid", '=', emid)).limit(1);
		contactList.list(null, function (contacts) {
		    var contact = contacts[0];
		    if(!contact.nickname){
	    		contact.nickname = '&nbsp;&nbsp;';
	    	}
		    
		    var contact_li = {
				emid: emid,
				type: contact.type,
				nickname: contact.nickname,
				avatar: contact.avatar,
				lastdate: now_short,
				lastmsg: contact.lastmsg
			};
			//添加最近联系人LI
			var item_li = 'item_message';
			if(emid == ADMIN_EM){
				item_li = 'item_systemInfo';
			}else if(emid == GLZHELPER_EM){
				item_li = 'item_glzhelper';
			}
			var li_new = template(item_li, contact_li);
			
			//先删再加，解决同步问题
			li = $("#contacts").find("li[contacttype='"+type_contact+"'][emid='"+emid+"']");
			if(li&&li.length>0){
				$(li).remove();
			}
			$("#contacts").prepend(li_new);
			li_new = $("#contacts").find("li[contacttype='"+type_contact+"'][emid='"+emid+"']");
			li_new.find("div[name='avatar']").append('<span class="mui-badge">&nbsp;&nbsp;</span>');
		});
	}
	
}
/**
 * 环信退出
 */
function easemobClose(){
	conn.close();
}
/**
 * 清除消息提醒
 */
function doClearMessageRemind(){
	try{
		localStorage.setItem("message_remind","0");
		plus.webview.getTopWebview().evalJS('messageRemind()');
		plus.webview.getWebviewById("quanzi_home.html").evalJS('messageRemind()');
		plus.webview.getWebviewById("active_shaixuan.html").evalJS('messageRemind()');
		if(plus.webview.getWebviewById("person_home.html")!=null){
			plus.webview.getWebviewById("person_home.html").evalJS('messageRemind()');
		}
	}catch(e){}
}
function clearMessageRemind(){
	try{
		doClearMessageRemind();
		checkEmLogin();
	}catch(e){}
}

/**
 * 检测环信是否登录
 */
function checkEmLogin(){
	if(conn){
		console.info('检测环信是否已经登录:'+conn.isOpened());
		
		try{
			if(!conn.isOpened()){
				console.log('环信已断开连接，尝试重新连接...');
				conn = easemobInit(callback_presence,callback_message);
			}
		}catch(e){}
	}
}

//页面初始化
function pageshow_init(){
	console.info('xiaoxi pageshow_init()');
//	if(!isLogin()){
//		mui.toast('用户未登录，请先登录！');
//	}
	
	localStorage.setItem("message_remind","0");
	//数据库加载-兼容LocalStorage模式
	var callback_loadDb = function(){
		var owner = getMemberEmid();
		var contactList = Contact_chat.all().filter("owner", '=', owner).order("lastdate", true);
		contactList.list(null, function (contacts) {
			var contactAdded_admin = false;
			var contactAdded_glzxzs = false;
		    contacts.forEach(function (contact) {
		    	if(!contact.avatar){
		    		contact.avatar = AVATAR_DEFAULT;
		    	}
		    	if(!contact.nickname){
		    		contact.nickname = '&nbsp;&nbsp;';
		    	}
		    	var date_short = getShortDate(contact.lastdate);
		    	contact.lastdate = date_short;
		    	
		    	var item_li = 'item_message';
				if(contact.type == CONTACT_TYPE_SYSTEM){
					item_li = 'item_systemInfo';
					contactAdded_admin = true;
				}else if(contact.type == CONTACT_TYPE_GLZHELPER){
					item_li = 'item_glzhelper';
					contactAdded_glzxzs = true;
				}
		        var li = template(item_li, contact);
				$("#contacts").prepend(li);
		    });
		    
		});
		
		//添加欢迎消息
		var contactList_admin = Contact_chat.all().filter("owner", '=', owner).and(new persistence.PropertyFilter("emid", '=', ADMIN_EM)).limit(1);
		contactList_admin.list(null, function (contacts) {
			if(contacts.length==0){
				var content = 'hi，欢迎来到橄榄枝。';
		    	saveMessage(ADMIN_EM,MESSAGE_TYPE_TEXT,content,'easemob',null,function(){
		        	callback_message(MESSAGE_TYPE_TEXT,content,ADMIN_EM);
		        	player();
		        });
			}else{
				
			}
		});
		var contactList_glzxzs = Contact_chat.all().filter("owner", '=', owner).and(new persistence.PropertyFilter("emid", '=', GLZHELPER_EM)).limit(1);
		contactList_glzxzs.list(null, function (contacts) {
			if(contacts.length==0){
				var content = '欢迎使用橄榄枝小助手。';
		    	saveMessage(GLZHELPER_EM,MESSAGE_TYPE_TEXT,content,'easemob',null,function(){
		        	callback_message(MESSAGE_TYPE_TEXT,content,GLZHELPER_EM);
		        	player();
		        });
			}else{
				
			}
		});
		//环信初始化
		conn = easemobInit(callback_presence,callback_message);
	}
	
	renaderNavigation(3);
	//设置mui-content区域
	var ui = {
		body: document.querySelector('body'),
		header: document.querySelector('header'),
		footer: document.querySelector('#navigation'),
		content: document.querySelector('.mui-content')
	};
	ui.content.style.paddingTop = ui.header.offsetHeight+ 'px';
	ui.content.style.paddingBottom = ui.footer.offsetHeight+'px';
	
	//清空列表
	$("#contacts").empty();
	//新的好友
	var li = template("item_find", {});
	$("#contacts").append(li);
	
	loadDb(callback_loadDb);
}

/**
 * 页面显示事件
 */
document.body.onpageshow = function(){
//	console.info('xiaoxi onpageshow');
}
/**
 * 页面隐藏事件
 */
document.body.onpagehide = function(){
	
}
/**
 * 添加事件
 */
function addListener(){
	
	
	// 添加send自定义事件监听
	window.addEventListener('refreshData',function(event){
		//获得事件参数
		var type = event.detail.type;
		var content = event.detail.content;
		var emid = event.detail.emid;
		
		callback_message(type,content,emid); 
	});
	
	/**
	 * 联系人li点击事件
	 */
	mui('#contacts').on('tap','li',function(event){
		var contacttype = this.getAttribute('contacttype');
		/**
		 * 新朋友：添加好友
		 */
		if(contacttype == '1'){
			var emid = this.getAttribute('emid');
			var nickname = this.getAttribute('nickname');
			
			resoveSubscribe(emid,nickname);
			/**
			 * 最近联系人：系统消息
			 */
		}else if(contacttype == '2' || contacttype == '4'){
			var emid = this.getAttribute('emid');
			var nickname = this.getAttribute('nickname');
			var avatar = this.getAttribute('avatar');
			var lastmsg = $(this).find("p[name='lastmsg']").html();
			
			var chat_msg_json = {
				emid:emid,
				nickname:nickname,
				avatar:avatar
			};
			localStorage.setItem("chatMsgInfo",JSON.stringify(chat_msg_json));
			openwindow('chat.html');
			/**
			 * 最近联系人：最近消息
			 */
		}else if(contacttype == '3'){
			var emid = this.getAttribute('emid');
			var nickname = this.getAttribute('nickname');
			var avatar = this.getAttribute('avatar');
			
			var chat_msg_json = {
				emid:emid,
				nickname:nickname,
				avatar:avatar
			};
			localStorage.setItem("chatMsgInfo",JSON.stringify(chat_msg_json));
			openwindow('chat.html');
		}else if(contacttype == '5'){
			openwindow('chat_friend.html');
		}
	});
	mui('#contacts').on('longtap','li',function(event){
		var li = this;
		var contacttype = li.getAttribute('contacttype');
		if(contacttype == '3'){
			var emid = li.getAttribute('emid');
			var nickname = this.getAttribute('nickname');
			var btnArray = ['否', '是'];
			mui.confirm('是否清空好友：'+nickname+'所有消息？', '消息刪除', btnArray, function(e) {
				if(e.index == 1) {
					//刪除消息
					var owner = getMemberEmid();
					
					var messageList = Message_chat.all().filter("owner", '=', owner).and(new persistence.PropertyFilter("emid", '=', emid));
					messageList.list(null, function (messages) {
						for(i=messages.length;i>0;i--){
							var message = messages[i-1];
							Message_chat.all().remove(message);
						}
						commitDb();
					});
					//刪除最近联系人
					var contactList = Contact_chat.all().filter("owner", '=', owner).and(new persistence.PropertyFilter("emid", '=', emid));
					contactList.list(null, function (contacts) {
						for(i=contacts.length;i>0;i--){
							var contact = contacts[i-1];
							Contact_chat.all().remove(contact);
						}
						commitDb();
					});
					
					$(li).remove();
				}
			},'div');
		}
	});
	/**
	 * 好友点击事件
	 */
	document.getElementById("friendTab").addEventListener('tap', function(event) {
		openwindow('friends.html');
	}, false);
	//遮罩
	document.getElementById("backdrop").addEventListener('tap',function(){
	  	this.classList.add("mui-hidden");
		document.getElementById("topMenu").classList.add("mui-hidden");
	});
	//右上角按钮
	document.getElementById("topMenuBtn").addEventListener('tap',function(){
		document.getElementById("backdrop").classList.remove("mui-hidden");
		document.getElementById("topMenu").classList.remove("mui-hidden");
	});
	//菜单
	document.getElementById("topMenu").addEventListener('tap',function(){
		document.getElementById("backdrop").classList.add("mui-hidden");
		document.getElementById("topMenu").classList.add("mui-hidden");
	});
	//扫一扫
	bandQrScan();
	
	var member=getMember();
	if(member){
		shareHref=SHARE_URL+'?redirectUri='+SHARE_REDIRECT_URL+'?page='+my_detailTab+':memberInfo_id='+member.id;
		shareThumbs = [member.headimg];
	}
	
	
	//通讯录好友
	document.getElementById("contactBtn").addEventListener('tap', function(event) {
		if (mui.os.plus) {
			openwindow('contacts.html');
		}else{
			mui.toast('微信端无法获取通讯录好友！');
		}
	});
}

/**
 * 添加好友-是否同意
 * @param {Object} emid
 * @param {Object} nickname
 */
function resoveSubscribe(emid,nickname){
	mui.back = old_back;
	var btnArray = ['取消','拒绝', '接受'];
    mui.prompt('是否同意添加'+nickname+'为好友？请备注好友昵称', nickname, '添加好友', btnArray, function(e) {
        console.info(e.index);
        if (e.index == 2) {
        	/**
        	 * 同意添加好友
        	 */
        	if(e.value)
				nickname = e.value;
			//服务端添加好友
			mui.post(BASE_URL+'/friends/add.action', {
				ownerId:getMemberid(),
				ownerNickname:getMember().nickname,
				friendEmid:emid,
				friendNickname:nickname
			}, 
			function(data) {
				if(data.success) {
					//同意添加好友操作-云之讯
//					conn.subscribed({
//						to : emid,
//					    message : getMember().nickname
//					});
					conn.unsubscribed({
						to : emid,
						message : getMember().nickname
					});
					
					$("#contacts").find("li[contacttype='1'][emid='"+emid+"']").remove();
					mui.toast('你已同意添加'+nickname+'为好友');
					//头像
					var avatar = data.data.headimg;
					if(avatar==''||avatar==null){
						avatar = AVATAR_DEFAULT;
					}
					var message = {
						to:emid,
						toNickname:nickname,
						toAvatar:avatar,
						sentByMe:true,
						message:'我已经通过你的好友请求，现在我们可以聊天了',
						fromNickname:getMember().nickname,
						createdDate:new Date().FormatFull(true)
					}
					appendContact(message,'txt');
				}else{
					mui.toast(data.message);
				}
				
			});
			
			doClearMessageRemind();
		} else if (e.index == 1){
			/**
        	 * 拒绝添加好友
        	 */
			//拒绝添加好友的方法处理
			conn.unsubscribed({
				to : emid,
				message : getMember().nickname
			});
			$("#contacts").find("li[contacttype='1'][emid='"+emid+"']").remove();
			mui.toast('你已拒绝了添加'+nickname+'为好友');
			
			doClearMessageRemind();
		} else {
			/**
        	 * 取消添加好友
        	 */
		}
		//重新mui.back
		trigger_overWriteBack();
    },'div');
    document.querySelector('.mui-popup-input input').value=nickname;
    var input = document.querySelector('.mui-popup-input input');
	input.setAttribute("value",nickname);
	input.select();
}

/**
 * 添加联系人
 * @param {Object} ctx
 * @param {Object} result
 */
function appendContact(message, type){
	if(type == 'txt'){
		//最近联系人本地存储
		var contact = {
			emid: message.to,
			type: "3",
			nickname: message.toNickname,
			avatar: message.toAvatar,
			lastdate: message.createdDate,
			lastmsg: message.message,
			status: LOGIC_YES
		};
		saveMessage(contact.emid,MESSAGE_TYPE_TEXT,contact.lastmsg,'self',null,null);
//		saveContact(contact.emid,contact.type,contact.nickname,contact.avatar,contact.lastdate,contact.lastmsg);
		
		//添加最近联系人LI
		var date_short = getShortDate(contact.lastdate);
		contact.lastdate = date_short;
		var li = template('item_message', contact);
		$("#contacts").prepend(li);
		
		//发送消息
		sendMsg(message.to,message.message);
	}
}

/**
 * 发送消息
 * @param {Object} to	消息接收者
 * @param {Object} msg  消息内容
 */
function sendMsg(to,msg){
	//发送消息
	conn.sendTextMessage({
	    to : to,
	    msg : msg,
	    ext :{}//用户自扩展的消息内容（群聊用法相同）
	});
}

function resetFooter(){
	toggleNavigation(3);
}