/*入口脚本*/
require.config({
    baseUrl: "js/",
    paths: {
        "mui": "mui.min",
        "handlebars": "handlebars",
        "common" : "appjs/common",
        "mui.pullToRefresh" : "mui.pullToRefresh",
        "mui.pullToRefresh.material" : "mui.pullToRefresh.material"
    },
    map: {
        '*': {
            'css': '.css'
        }
    },
    shim : {
        'mui': {
        	 deps: [ 
                'css!../css/mui.min.css' ,
                'css!../css/main.css'
            ] 
        },
        'common': {
        	 deps: [ 
                'mui' 
            ] 
        },
        'mui.pullToRefresh': {
        	 deps: [ 
                'mui' 
            ] 
        },
        'mui.pullToRefresh.material': {
        	 deps: [ 
                'mui' 
            ] 
        },
        
    }
});